import{s as Ra,n as Da,o as Ka}from"../chunks/scheduler.b108d059.js";import{S as Ba,i as Ia,g as o,s as i,u as h,A as Oa,h as a,f as t,c as s,j as n,v as p,y as u,k as c,o as d,a as r,w as f,d as v,t as m,x as b}from"../chunks/index.a9288bc5.js";import{I as y}from"../chunks/IconCopyLink.9df037eb.js";function qa(ao){let _,Bt,Ct,It,G,Ot,x,S,$t,Q,Vr,nt,io="utils/core",qt,W,so="Core utility functions/classes for Transformers.js.",zt,X,co=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Ut,Y,no='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.Callable"><code>.Callable</code></a> : <code>*</code></li> <li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isString"><code>.isString(text)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.exists"><code>.exists(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li></ul></li></ul></li>',Vt,Jt,Ft,Z,Gt,T,N,Ht,ee,Jr,dt,uo="<code>utils/core.Callable</code> : <code>*</code>",Qt,te,ho="A base class for creating callable objects.",Wt,le,po='<strong>Kind</strong>: static constant of <a href="#module_utils/core"><code>utils/core</code></a>',Xt,Yt,Zt,re,el,w,R,At,oe,Fr,ut,fo="<code>utils/core.reverseDictionary(data)</code> ⇒ <code>Object</code>",tl,ae,vo="Reverses the keys and values of an object.",ll,ie,mo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',rl,se,bo="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",ol,al,il,ce,sl,C,D,Lt,ne,Gr,ht,yo="<code>utils/core.escapeRegExp(string)</code> ⇒ <code>string</code>",cl,de,_o="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",nl,ue,xo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',dl,he,To="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",ul,hl,pl,pe,fl,$,K,gt,fe,Qr,pt,wo="<code>utils/core.isString(text)</code> ⇒ <code>boolean</code>",vl,ve,Co="Check if a value is a string.",ml,me,$o='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',bl,be,Ho="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>text</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",yl,_l,xl,ye,Tl,H,B,Mt,_e,Wr,ft,Ao="<code>utils/core.isTypedArray(val)</code> ⇒ <code>boolean</code>",wl,xe,Lo="Check if a value is a typed array.",Cl,Te,go='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',$l,we,Mo='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',Hl,Ce,Eo="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Al,Ll,gl,$e,Ml,A,I,Et,He,Xr,vt,ko="<code>utils/core.isIntegralNumber(x)</code> ⇒ <code>boolean</code>",El,Ae,Po="Check if a value is an integer.",kl,Le,jo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',Pl,ge,So="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",jl,Sl,Nl,Me,Rl,L,O,kt,Ee,Yr,mt,No="<code>utils/core.exists(x)</code> ⇒ <code>boolean</code>",Dl,ke,Ro="Check if a value is exists.",Kl,Pe,Do='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value exists, false otherwise.',Bl,je,Ko="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Il,Ol,ql,Se,zl,g,q,Pt,Ne,Zr,bt,Bo="<code>utils/core.calculateDimensions(arr)</code> ⇒ <code>Array</code>",Ul,Re,Io="Calculates the dimensions of a nested array.",Vl,De,Oo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - An array containing the dimensions of the input array.',Jl,Ke,qo="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Fl,Gl,Ql,Be,Wl,M,z,jt,Ie,eo,yt,zo="<code>utils/core.pop(obj, key, defaultValue)</code> ⇒ <code>*</code>",Xl,Oe,Uo="Replicate python’s .pop() method for objects.",Yl,qe,Vo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',Zl,ze,Jo="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",er,Ue,Fo="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",tr,lr,rr,Ve,or,E,U,St,Je,to,_t,Go="<code>utils/core.mergeArrays(arrs)</code> ⇒ <code>Array</code>",ar,Fe,Qo=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,ir,Ge,Wo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',sr,Qe,Xo="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",cr,nr,dr,We,ur,k,V,Nt,Xe,lo,xt,Yo="utils/core~Callable",hr,Ye,Zo='<strong>Kind</strong>: inner class of <a href="#module_utils/core"><code>utils/core</code></a>',pr,Ze,ea='<li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li>',fr,vr,mr,et,br,P,J,Rt,tt,ro,Tt,ta="<code>new Callable()</code>",yr,lt,la="Creates a new instance of the Callable class.",_r,xr,Tr,rt,wr,j,F,Dt,ot,oo,wt,ra="<code>callable._call(...args)</code>",Cr,at,oa=`This method should be implemented in subclasses to provide the
functionality of the callable object.`,$r,it,aa='<strong>Kind</strong>: instance method of <a href="#module_utils/core..Callable"><code>Callable</code></a><br/> <strong>Throws</strong>:',Hr,st,ia="<li><code>Error</code> If the subclass does not implement the `_call` method.</li>",Ar,ct,sa="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>...args</td><td><code>Array.&lt;any&gt;</code></td></tr></tbody>",Lr,gr,Mr,Kt,Er;return Q=new y({}),ee=new y({}),oe=new y({}),ne=new y({}),fe=new y({}),_e=new y({}),He=new y({}),Ee=new y({}),Ne=new y({}),Ie=new y({}),Je=new y({}),Xe=new y({}),tt=new y({}),ot=new y({}),{c(){_=o("meta"),Bt=i(),Ct=o("p"),It=i(),G=o("a"),Ot=i(),x=o("h1"),S=o("a"),$t=o("span"),h(Q.$$.fragment),Vr=i(),nt=o("span"),nt.textContent=io,qt=i(),W=o("p"),W.textContent=so,zt=i(),X=o("p"),X.textContent=co,Ut=i(),Y=o("ul"),Y.innerHTML=no,Vt=i(),Jt=o("hr"),Ft=i(),Z=o("a"),Gt=i(),T=o("h2"),N=o("a"),Ht=o("span"),h(ee.$$.fragment),Jr=i(),dt=o("span"),dt.innerHTML=uo,Qt=i(),te=o("p"),te.textContent=ho,Wt=i(),le=o("p"),le.innerHTML=po,Xt=i(),Yt=o("hr"),Zt=i(),re=o("a"),el=i(),w=o("h2"),R=o("a"),At=o("span"),h(oe.$$.fragment),Fr=i(),ut=o("span"),ut.innerHTML=fo,tl=i(),ae=o("p"),ae.textContent=vo,ll=i(),ie=o("p"),ie.innerHTML=mo,rl=i(),se=o("table"),se.innerHTML=bo,ol=i(),al=o("hr"),il=i(),ce=o("a"),sl=i(),C=o("h2"),D=o("a"),Lt=o("span"),h(ne.$$.fragment),Gr=i(),ht=o("span"),ht.innerHTML=yo,cl=i(),de=o("p"),de.textContent=_o,nl=i(),ue=o("p"),ue.innerHTML=xo,dl=i(),he=o("table"),he.innerHTML=To,ul=i(),hl=o("hr"),pl=i(),pe=o("a"),fl=i(),$=o("h2"),K=o("a"),gt=o("span"),h(fe.$$.fragment),Qr=i(),pt=o("span"),pt.innerHTML=wo,vl=i(),ve=o("p"),ve.textContent=Co,ml=i(),me=o("p"),me.innerHTML=$o,bl=i(),be=o("table"),be.innerHTML=Ho,yl=i(),_l=o("hr"),xl=i(),ye=o("a"),Tl=i(),H=o("h2"),B=o("a"),Mt=o("span"),h(_e.$$.fragment),Wr=i(),ft=o("span"),ft.innerHTML=Ao,wl=i(),xe=o("p"),xe.textContent=Lo,Cl=i(),Te=o("p"),Te.innerHTML=go,$l=i(),we=o("p"),we.innerHTML=Mo,Hl=i(),Ce=o("table"),Ce.innerHTML=Eo,Al=i(),Ll=o("hr"),gl=i(),$e=o("a"),Ml=i(),A=o("h2"),I=o("a"),Et=o("span"),h(He.$$.fragment),Xr=i(),vt=o("span"),vt.innerHTML=ko,El=i(),Ae=o("p"),Ae.textContent=Po,kl=i(),Le=o("p"),Le.innerHTML=jo,Pl=i(),ge=o("table"),ge.innerHTML=So,jl=i(),Sl=o("hr"),Nl=i(),Me=o("a"),Rl=i(),L=o("h2"),O=o("a"),kt=o("span"),h(Ee.$$.fragment),Yr=i(),mt=o("span"),mt.innerHTML=No,Dl=i(),ke=o("p"),ke.textContent=Ro,Kl=i(),Pe=o("p"),Pe.innerHTML=Do,Bl=i(),je=o("table"),je.innerHTML=Ko,Il=i(),Ol=o("hr"),ql=i(),Se=o("a"),zl=i(),g=o("h2"),q=o("a"),Pt=o("span"),h(Ne.$$.fragment),Zr=i(),bt=o("span"),bt.innerHTML=Bo,Ul=i(),Re=o("p"),Re.textContent=Io,Vl=i(),De=o("p"),De.innerHTML=Oo,Jl=i(),Ke=o("table"),Ke.innerHTML=qo,Fl=i(),Gl=o("hr"),Ql=i(),Be=o("a"),Wl=i(),M=o("h2"),z=o("a"),jt=o("span"),h(Ie.$$.fragment),eo=i(),yt=o("span"),yt.innerHTML=zo,Xl=i(),Oe=o("p"),Oe.textContent=Uo,Yl=i(),qe=o("p"),qe.innerHTML=Vo,Zl=i(),ze=o("ul"),ze.innerHTML=Jo,er=i(),Ue=o("table"),Ue.innerHTML=Fo,tr=i(),lr=o("hr"),rr=i(),Ve=o("a"),or=i(),E=o("h2"),U=o("a"),St=o("span"),h(Je.$$.fragment),to=i(),_t=o("span"),_t.innerHTML=Go,ar=i(),Fe=o("p"),Fe.innerHTML=Qo,ir=i(),Ge=o("p"),Ge.innerHTML=Wo,sr=i(),Qe=o("table"),Qe.innerHTML=Xo,cr=i(),nr=o("hr"),dr=i(),We=o("a"),ur=i(),k=o("h2"),V=o("a"),Nt=o("span"),h(Xe.$$.fragment),lo=i(),xt=o("span"),xt.textContent=Yo,hr=i(),Ye=o("p"),Ye.innerHTML=Zo,pr=i(),Ze=o("ul"),Ze.innerHTML=ea,fr=i(),vr=o("hr"),mr=i(),et=o("a"),br=i(),P=o("h3"),J=o("a"),Rt=o("span"),h(tt.$$.fragment),ro=i(),Tt=o("span"),Tt.innerHTML=ta,yr=i(),lt=o("p"),lt.textContent=la,_r=i(),xr=o("hr"),Tr=i(),rt=o("a"),wr=i(),j=o("h3"),F=o("a"),Dt=o("span"),h(ot.$$.fragment),oo=i(),wt=o("span"),wt.innerHTML=ra,Cr=i(),at=o("p"),at.textContent=oa,$r=i(),it=o("p"),it.innerHTML=aa,Hr=i(),st=o("ul"),st.innerHTML=ia,Ar=i(),ct=o("table"),ct.innerHTML=sa,Lr=i(),gr=o("hr"),Mr=i(),Kt=o("p"),this.h()},l(e){const l=Oa("svelte-1phssyn",document.head);_=a(l,"META",{name:!0,content:!0}),l.forEach(t),Bt=s(e),Ct=a(e,"P",{}),n(Ct).forEach(t),It=s(e),G=a(e,"A",{id:!0,class:!0}),n(G).forEach(t),Ot=s(e),x=a(e,"H1",{class:!0});var kr=n(x);S=a(kr,"A",{id:!0,class:!0,href:!0});var ca=n(S);$t=a(ca,"SPAN",{});var na=n($t);p(Q.$$.fragment,na),na.forEach(t),ca.forEach(t),Vr=s(kr),nt=a(kr,"SPAN",{"data-svelte-h":!0}),u(nt)!=="svelte-zr804a"&&(nt.textContent=io),kr.forEach(t),qt=s(e),W=a(e,"P",{"data-svelte-h":!0}),u(W)!=="svelte-u71mwf"&&(W.textContent=so),zt=s(e),X=a(e,"P",{"data-svelte-h":!0}),u(X)!=="svelte-1r3ntfo"&&(X.textContent=co),Ut=s(e),Y=a(e,"UL",{"data-svelte-h":!0}),u(Y)!=="svelte-1ybtj5y"&&(Y.innerHTML=no),Vt=s(e),Jt=a(e,"HR",{}),Ft=s(e),Z=a(e,"A",{id:!0,class:!0}),n(Z).forEach(t),Gt=s(e),T=a(e,"H2",{class:!0});var Pr=n(T);N=a(Pr,"A",{id:!0,class:!0,href:!0});var da=n(N);Ht=a(da,"SPAN",{});var ua=n(Ht);p(ee.$$.fragment,ua),ua.forEach(t),da.forEach(t),Jr=s(Pr),dt=a(Pr,"SPAN",{"data-svelte-h":!0}),u(dt)!=="svelte-vbph78"&&(dt.innerHTML=uo),Pr.forEach(t),Qt=s(e),te=a(e,"P",{"data-svelte-h":!0}),u(te)!=="svelte-1u9qjt4"&&(te.textContent=ho),Wt=s(e),le=a(e,"P",{"data-svelte-h":!0}),u(le)!=="svelte-1vaez1e"&&(le.innerHTML=po),Xt=s(e),Yt=a(e,"HR",{}),Zt=s(e),re=a(e,"A",{id:!0,class:!0}),n(re).forEach(t),el=s(e),w=a(e,"H2",{class:!0});var jr=n(w);R=a(jr,"A",{id:!0,class:!0,href:!0});var ha=n(R);At=a(ha,"SPAN",{});var pa=n(At);p(oe.$$.fragment,pa),pa.forEach(t),ha.forEach(t),Fr=s(jr),ut=a(jr,"SPAN",{"data-svelte-h":!0}),u(ut)!=="svelte-aww5n6"&&(ut.innerHTML=fo),jr.forEach(t),tl=s(e),ae=a(e,"P",{"data-svelte-h":!0}),u(ae)!=="svelte-dvlmk2"&&(ae.textContent=vo),ll=s(e),ie=a(e,"P",{"data-svelte-h":!0}),u(ie)!=="svelte-14f6o7p"&&(ie.innerHTML=mo),rl=s(e),se=a(e,"TABLE",{"data-svelte-h":!0}),u(se)!=="svelte-8if77n"&&(se.innerHTML=bo),ol=s(e),al=a(e,"HR",{}),il=s(e),ce=a(e,"A",{id:!0,class:!0}),n(ce).forEach(t),sl=s(e),C=a(e,"H2",{class:!0});var Sr=n(C);D=a(Sr,"A",{id:!0,class:!0,href:!0});var fa=n(D);Lt=a(fa,"SPAN",{});var va=n(Lt);p(ne.$$.fragment,va),va.forEach(t),fa.forEach(t),Gr=s(Sr),ht=a(Sr,"SPAN",{"data-svelte-h":!0}),u(ht)!=="svelte-13yf77j"&&(ht.innerHTML=yo),Sr.forEach(t),cl=s(e),de=a(e,"P",{"data-svelte-h":!0}),u(de)!=="svelte-14ro5y0"&&(de.textContent=_o),nl=s(e),ue=a(e,"P",{"data-svelte-h":!0}),u(ue)!=="svelte-nstyrr"&&(ue.innerHTML=xo),dl=s(e),he=a(e,"TABLE",{"data-svelte-h":!0}),u(he)!=="svelte-1h5d263"&&(he.innerHTML=To),ul=s(e),hl=a(e,"HR",{}),pl=s(e),pe=a(e,"A",{id:!0,class:!0}),n(pe).forEach(t),fl=s(e),$=a(e,"H2",{class:!0});var Nr=n($);K=a(Nr,"A",{id:!0,class:!0,href:!0});var ma=n(K);gt=a(ma,"SPAN",{});var ba=n(gt);p(fe.$$.fragment,ba),ba.forEach(t),ma.forEach(t),Qr=s(Nr),pt=a(Nr,"SPAN",{"data-svelte-h":!0}),u(pt)!=="svelte-1ktiy0h"&&(pt.innerHTML=wo),Nr.forEach(t),vl=s(e),ve=a(e,"P",{"data-svelte-h":!0}),u(ve)!=="svelte-jvuywd"&&(ve.textContent=Co),ml=s(e),me=a(e,"P",{"data-svelte-h":!0}),u(me)!=="svelte-1n9m385"&&(me.innerHTML=$o),bl=s(e),be=a(e,"TABLE",{"data-svelte-h":!0}),u(be)!=="svelte-zojxg3"&&(be.innerHTML=Ho),yl=s(e),_l=a(e,"HR",{}),xl=s(e),ye=a(e,"A",{id:!0,class:!0}),n(ye).forEach(t),Tl=s(e),H=a(e,"H2",{class:!0});var Rr=n(H);B=a(Rr,"A",{id:!0,class:!0,href:!0});var ya=n(B);Mt=a(ya,"SPAN",{});var _a=n(Mt);p(_e.$$.fragment,_a),_a.forEach(t),ya.forEach(t),Wr=s(Rr),ft=a(Rr,"SPAN",{"data-svelte-h":!0}),u(ft)!=="svelte-10ylygl"&&(ft.innerHTML=Ao),Rr.forEach(t),wl=s(e),xe=a(e,"P",{"data-svelte-h":!0}),u(xe)!=="svelte-1oclrgb"&&(xe.textContent=Lo),Cl=s(e),Te=a(e,"P",{"data-svelte-h":!0}),u(Te)!=="svelte-1uuf78s"&&(Te.innerHTML=go),$l=s(e),we=a(e,"P",{"data-svelte-h":!0}),u(we)!=="svelte-pr567i"&&(we.innerHTML=Mo),Hl=s(e),Ce=a(e,"TABLE",{"data-svelte-h":!0}),u(Ce)!=="svelte-cdg32t"&&(Ce.innerHTML=Eo),Al=s(e),Ll=a(e,"HR",{}),gl=s(e),$e=a(e,"A",{id:!0,class:!0}),n($e).forEach(t),Ml=s(e),A=a(e,"H2",{class:!0});var Dr=n(A);I=a(Dr,"A",{id:!0,class:!0,href:!0});var xa=n(I);Et=a(xa,"SPAN",{});var Ta=n(Et);p(He.$$.fragment,Ta),Ta.forEach(t),xa.forEach(t),Xr=s(Dr),vt=a(Dr,"SPAN",{"data-svelte-h":!0}),u(vt)!=="svelte-bml8re"&&(vt.innerHTML=ko),Dr.forEach(t),El=s(e),Ae=a(e,"P",{"data-svelte-h":!0}),u(Ae)!=="svelte-1ityjuy"&&(Ae.textContent=Po),kl=s(e),Le=a(e,"P",{"data-svelte-h":!0}),u(Le)!=="svelte-1n9m385"&&(Le.innerHTML=jo),Pl=s(e),ge=a(e,"TABLE",{"data-svelte-h":!0}),u(ge)!=="svelte-6n2d7i"&&(ge.innerHTML=So),jl=s(e),Sl=a(e,"HR",{}),Nl=s(e),Me=a(e,"A",{id:!0,class:!0}),n(Me).forEach(t),Rl=s(e),L=a(e,"H2",{class:!0});var Kr=n(L);O=a(Kr,"A",{id:!0,class:!0,href:!0});var wa=n(O);kt=a(wa,"SPAN",{});var Ca=n(kt);p(Ee.$$.fragment,Ca),Ca.forEach(t),wa.forEach(t),Yr=s(Kr),mt=a(Kr,"SPAN",{"data-svelte-h":!0}),u(mt)!=="svelte-8thiwn"&&(mt.innerHTML=No),Kr.forEach(t),Dl=s(e),ke=a(e,"P",{"data-svelte-h":!0}),u(ke)!=="svelte-1l2mf7d"&&(ke.textContent=Ro),Kl=s(e),Pe=a(e,"P",{"data-svelte-h":!0}),u(Pe)!=="svelte-1s16qo7"&&(Pe.innerHTML=Do),Bl=s(e),je=a(e,"TABLE",{"data-svelte-h":!0}),u(je)!=="svelte-6n2d7i"&&(je.innerHTML=Ko),Il=s(e),Ol=a(e,"HR",{}),ql=s(e),Se=a(e,"A",{id:!0,class:!0}),n(Se).forEach(t),zl=s(e),g=a(e,"H2",{class:!0});var Br=n(g);q=a(Br,"A",{id:!0,class:!0,href:!0});var $a=n(q);Pt=a($a,"SPAN",{});var Ha=n(Pt);p(Ne.$$.fragment,Ha),Ha.forEach(t),$a.forEach(t),Zr=s(Br),bt=a(Br,"SPAN",{"data-svelte-h":!0}),u(bt)!=="svelte-m5unyo"&&(bt.innerHTML=Bo),Br.forEach(t),Ul=s(e),Re=a(e,"P",{"data-svelte-h":!0}),u(Re)!=="svelte-1p78ixx"&&(Re.textContent=Io),Vl=s(e),De=a(e,"P",{"data-svelte-h":!0}),u(De)!=="svelte-1tb7iu1"&&(De.innerHTML=Oo),Jl=s(e),Ke=a(e,"TABLE",{"data-svelte-h":!0}),u(Ke)!=="svelte-1kcvid9"&&(Ke.innerHTML=qo),Fl=s(e),Gl=a(e,"HR",{}),Ql=s(e),Be=a(e,"A",{id:!0,class:!0}),n(Be).forEach(t),Wl=s(e),M=a(e,"H2",{class:!0});var Ir=n(M);z=a(Ir,"A",{id:!0,class:!0,href:!0});var Aa=n(z);jt=a(Aa,"SPAN",{});var La=n(jt);p(Ie.$$.fragment,La),La.forEach(t),Aa.forEach(t),eo=s(Ir),yt=a(Ir,"SPAN",{"data-svelte-h":!0}),u(yt)!=="svelte-17c8vea"&&(yt.innerHTML=zo),Ir.forEach(t),Xl=s(e),Oe=a(e,"P",{"data-svelte-h":!0}),u(Oe)!=="svelte-1m1a0x7"&&(Oe.textContent=Uo),Yl=s(e),qe=a(e,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-1dwq64m"&&(qe.innerHTML=Vo),Zl=s(e),ze=a(e,"UL",{"data-svelte-h":!0}),u(ze)!=="svelte-n4a723"&&(ze.innerHTML=Jo),er=s(e),Ue=a(e,"TABLE",{"data-svelte-h":!0}),u(Ue)!=="svelte-j5xxk1"&&(Ue.innerHTML=Fo),tr=s(e),lr=a(e,"HR",{}),rr=s(e),Ve=a(e,"A",{id:!0,class:!0}),n(Ve).forEach(t),or=s(e),E=a(e,"H2",{class:!0});var Or=n(E);U=a(Or,"A",{id:!0,class:!0,href:!0});var ga=n(U);St=a(ga,"SPAN",{});var Ma=n(St);p(Je.$$.fragment,Ma),Ma.forEach(t),ga.forEach(t),to=s(Or),_t=a(Or,"SPAN",{"data-svelte-h":!0}),u(_t)!=="svelte-1d96gbk"&&(_t.innerHTML=Go),Or.forEach(t),ar=s(e),Fe=a(e,"P",{"data-svelte-h":!0}),u(Fe)!=="svelte-kvbp1p"&&(Fe.innerHTML=Qo),ir=s(e),Ge=a(e,"P",{"data-svelte-h":!0}),u(Ge)!=="svelte-1ydcymw"&&(Ge.innerHTML=Wo),sr=s(e),Qe=a(e,"TABLE",{"data-svelte-h":!0}),u(Qe)!=="svelte-stz7tp"&&(Qe.innerHTML=Xo),cr=s(e),nr=a(e,"HR",{}),dr=s(e),We=a(e,"A",{id:!0,class:!0}),n(We).forEach(t),ur=s(e),k=a(e,"H2",{class:!0});var qr=n(k);V=a(qr,"A",{id:!0,class:!0,href:!0});var Ea=n(V);Nt=a(Ea,"SPAN",{});var ka=n(Nt);p(Xe.$$.fragment,ka),ka.forEach(t),Ea.forEach(t),lo=s(qr),xt=a(qr,"SPAN",{"data-svelte-h":!0}),u(xt)!=="svelte-1x75wme"&&(xt.textContent=Yo),qr.forEach(t),hr=s(e),Ye=a(e,"P",{"data-svelte-h":!0}),u(Ye)!=="svelte-15n5joc"&&(Ye.innerHTML=Zo),pr=s(e),Ze=a(e,"UL",{"data-svelte-h":!0}),u(Ze)!=="svelte-thd9hc"&&(Ze.innerHTML=ea),fr=s(e),vr=a(e,"HR",{}),mr=s(e),et=a(e,"A",{id:!0,class:!0}),n(et).forEach(t),br=s(e),P=a(e,"H3",{class:!0});var zr=n(P);J=a(zr,"A",{id:!0,class:!0,href:!0});var Pa=n(J);Rt=a(Pa,"SPAN",{});var ja=n(Rt);p(tt.$$.fragment,ja),ja.forEach(t),Pa.forEach(t),ro=s(zr),Tt=a(zr,"SPAN",{"data-svelte-h":!0}),u(Tt)!=="svelte-1kq4yld"&&(Tt.innerHTML=ta),zr.forEach(t),yr=s(e),lt=a(e,"P",{"data-svelte-h":!0}),u(lt)!=="svelte-hu496d"&&(lt.textContent=la),_r=s(e),xr=a(e,"HR",{}),Tr=s(e),rt=a(e,"A",{id:!0,class:!0}),n(rt).forEach(t),wr=s(e),j=a(e,"H3",{class:!0});var Ur=n(j);F=a(Ur,"A",{id:!0,class:!0,href:!0});var Sa=n(F);Dt=a(Sa,"SPAN",{});var Na=n(Dt);p(ot.$$.fragment,Na),Na.forEach(t),Sa.forEach(t),oo=s(Ur),wt=a(Ur,"SPAN",{"data-svelte-h":!0}),u(wt)!=="svelte-15yc3uz"&&(wt.innerHTML=ra),Ur.forEach(t),Cr=s(e),at=a(e,"P",{"data-svelte-h":!0}),u(at)!=="svelte-8c74gj"&&(at.textContent=oa),$r=s(e),it=a(e,"P",{"data-svelte-h":!0}),u(it)!=="svelte-161nsqx"&&(it.innerHTML=aa),Hr=s(e),st=a(e,"UL",{"data-svelte-h":!0}),u(st)!=="svelte-7c1v8c"&&(st.innerHTML=ia),Ar=s(e),ct=a(e,"TABLE",{"data-svelte-h":!0}),u(ct)!=="svelte-1v34kj"&&(ct.innerHTML=sa),Lr=s(e),gr=a(e,"HR",{}),Mr=s(e),Kt=a(e,"P",{}),n(Kt).forEach(t),this.h()},h(){c(_,"name","hf:doc:metadata"),c(_,"content",JSON.stringify(za)),c(G,"id","module_utils/core"),c(G,"class","group"),c(S,"id","utilscore"),c(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(S,"href","#utilscore"),c(x,"class","relative group"),c(Z,"id","module_utils/core.Callable"),c(Z,"class","group"),c(N,"id","utilscorecallable-codecode"),c(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(N,"href","#utilscorecallable-codecode"),c(T,"class","relative group"),c(re,"id","module_utils/core.reverseDictionary"),c(re,"class","group"),c(R,"id","utilscorereversedictionarydata-codeobjectcode"),c(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(R,"href","#utilscorereversedictionarydata-codeobjectcode"),c(w,"class","relative group"),c(ce,"id","module_utils/core.escapeRegExp"),c(ce,"class","group"),c(D,"id","utilscoreescaperegexpstring-codestringcode"),c(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(D,"href","#utilscoreescaperegexpstring-codestringcode"),c(C,"class","relative group"),c(pe,"id","module_utils/core.isString"),c(pe,"class","group"),c(K,"id","utilscoreisstringtext-codebooleancode"),c(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(K,"href","#utilscoreisstringtext-codebooleancode"),c($,"class","relative group"),c(ye,"id","module_utils/core.isTypedArray"),c(ye,"class","group"),c(B,"id","utilscoreistypedarrayval-codebooleancode"),c(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(B,"href","#utilscoreistypedarrayval-codebooleancode"),c(H,"class","relative group"),c($e,"id","module_utils/core.isIntegralNumber"),c($e,"class","group"),c(I,"id","utilscoreisintegralnumberx-codebooleancode"),c(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(I,"href","#utilscoreisintegralnumberx-codebooleancode"),c(A,"class","relative group"),c(Me,"id","module_utils/core.exists"),c(Me,"class","group"),c(O,"id","utilscoreexistsx-codebooleancode"),c(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(O,"href","#utilscoreexistsx-codebooleancode"),c(L,"class","relative group"),c(Se,"id","module_utils/core.calculateDimensions"),c(Se,"class","group"),c(q,"id","utilscorecalculatedimensionsarr-codearraycode"),c(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(q,"href","#utilscorecalculatedimensionsarr-codearraycode"),c(g,"class","relative group"),c(Be,"id","module_utils/core.pop"),c(Be,"class","group"),c(z,"id","utilscorepopobj-key-defaultvalue-codecode"),c(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(z,"href","#utilscorepopobj-key-defaultvalue-codecode"),c(M,"class","relative group"),c(Ve,"id","module_utils/core.mergeArrays"),c(Ve,"class","group"),c(U,"id","utilscoremergearraysarrs-codearraycode"),c(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(U,"href","#utilscoremergearraysarrs-codearraycode"),c(E,"class","relative group"),c(We,"id","module_utils/core..Callable"),c(We,"class","group"),c(V,"id","utilscorecallable"),c(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(V,"href","#utilscorecallable"),c(k,"class","relative group"),c(et,"id","new_module_utils/core..Callable_new"),c(et,"class","group"),c(J,"id","new-callable"),c(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(J,"href","#new-callable"),c(P,"class","relative group"),c(rt,"id","module_utils/core..Callable+_call"),c(rt,"class","group"),c(F,"id","callablecallargs"),c(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(F,"href","#callablecallargs"),c(j,"class","relative group")},m(e,l){d(document.head,_),r(e,Bt,l),r(e,Ct,l),r(e,It,l),r(e,G,l),r(e,Ot,l),r(e,x,l),d(x,S),d(S,$t),f(Q,$t,null),d(x,Vr),d(x,nt),r(e,qt,l),r(e,W,l),r(e,zt,l),r(e,X,l),r(e,Ut,l),r(e,Y,l),r(e,Vt,l),r(e,Jt,l),r(e,Ft,l),r(e,Z,l),r(e,Gt,l),r(e,T,l),d(T,N),d(N,Ht),f(ee,Ht,null),d(T,Jr),d(T,dt),r(e,Qt,l),r(e,te,l),r(e,Wt,l),r(e,le,l),r(e,Xt,l),r(e,Yt,l),r(e,Zt,l),r(e,re,l),r(e,el,l),r(e,w,l),d(w,R),d(R,At),f(oe,At,null),d(w,Fr),d(w,ut),r(e,tl,l),r(e,ae,l),r(e,ll,l),r(e,ie,l),r(e,rl,l),r(e,se,l),r(e,ol,l),r(e,al,l),r(e,il,l),r(e,ce,l),r(e,sl,l),r(e,C,l),d(C,D),d(D,Lt),f(ne,Lt,null),d(C,Gr),d(C,ht),r(e,cl,l),r(e,de,l),r(e,nl,l),r(e,ue,l),r(e,dl,l),r(e,he,l),r(e,ul,l),r(e,hl,l),r(e,pl,l),r(e,pe,l),r(e,fl,l),r(e,$,l),d($,K),d(K,gt),f(fe,gt,null),d($,Qr),d($,pt),r(e,vl,l),r(e,ve,l),r(e,ml,l),r(e,me,l),r(e,bl,l),r(e,be,l),r(e,yl,l),r(e,_l,l),r(e,xl,l),r(e,ye,l),r(e,Tl,l),r(e,H,l),d(H,B),d(B,Mt),f(_e,Mt,null),d(H,Wr),d(H,ft),r(e,wl,l),r(e,xe,l),r(e,Cl,l),r(e,Te,l),r(e,$l,l),r(e,we,l),r(e,Hl,l),r(e,Ce,l),r(e,Al,l),r(e,Ll,l),r(e,gl,l),r(e,$e,l),r(e,Ml,l),r(e,A,l),d(A,I),d(I,Et),f(He,Et,null),d(A,Xr),d(A,vt),r(e,El,l),r(e,Ae,l),r(e,kl,l),r(e,Le,l),r(e,Pl,l),r(e,ge,l),r(e,jl,l),r(e,Sl,l),r(e,Nl,l),r(e,Me,l),r(e,Rl,l),r(e,L,l),d(L,O),d(O,kt),f(Ee,kt,null),d(L,Yr),d(L,mt),r(e,Dl,l),r(e,ke,l),r(e,Kl,l),r(e,Pe,l),r(e,Bl,l),r(e,je,l),r(e,Il,l),r(e,Ol,l),r(e,ql,l),r(e,Se,l),r(e,zl,l),r(e,g,l),d(g,q),d(q,Pt),f(Ne,Pt,null),d(g,Zr),d(g,bt),r(e,Ul,l),r(e,Re,l),r(e,Vl,l),r(e,De,l),r(e,Jl,l),r(e,Ke,l),r(e,Fl,l),r(e,Gl,l),r(e,Ql,l),r(e,Be,l),r(e,Wl,l),r(e,M,l),d(M,z),d(z,jt),f(Ie,jt,null),d(M,eo),d(M,yt),r(e,Xl,l),r(e,Oe,l),r(e,Yl,l),r(e,qe,l),r(e,Zl,l),r(e,ze,l),r(e,er,l),r(e,Ue,l),r(e,tr,l),r(e,lr,l),r(e,rr,l),r(e,Ve,l),r(e,or,l),r(e,E,l),d(E,U),d(U,St),f(Je,St,null),d(E,to),d(E,_t),r(e,ar,l),r(e,Fe,l),r(e,ir,l),r(e,Ge,l),r(e,sr,l),r(e,Qe,l),r(e,cr,l),r(e,nr,l),r(e,dr,l),r(e,We,l),r(e,ur,l),r(e,k,l),d(k,V),d(V,Nt),f(Xe,Nt,null),d(k,lo),d(k,xt),r(e,hr,l),r(e,Ye,l),r(e,pr,l),r(e,Ze,l),r(e,fr,l),r(e,vr,l),r(e,mr,l),r(e,et,l),r(e,br,l),r(e,P,l),d(P,J),d(J,Rt),f(tt,Rt,null),d(P,ro),d(P,Tt),r(e,yr,l),r(e,lt,l),r(e,_r,l),r(e,xr,l),r(e,Tr,l),r(e,rt,l),r(e,wr,l),r(e,j,l),d(j,F),d(F,Dt),f(ot,Dt,null),d(j,oo),d(j,wt),r(e,Cr,l),r(e,at,l),r(e,$r,l),r(e,it,l),r(e,Hr,l),r(e,st,l),r(e,Ar,l),r(e,ct,l),r(e,Lr,l),r(e,gr,l),r(e,Mr,l),r(e,Kt,l),Er=!0},p:Da,i(e){Er||(v(Q.$$.fragment,e),v(ee.$$.fragment,e),v(oe.$$.fragment,e),v(ne.$$.fragment,e),v(fe.$$.fragment,e),v(_e.$$.fragment,e),v(He.$$.fragment,e),v(Ee.$$.fragment,e),v(Ne.$$.fragment,e),v(Ie.$$.fragment,e),v(Je.$$.fragment,e),v(Xe.$$.fragment,e),v(tt.$$.fragment,e),v(ot.$$.fragment,e),Er=!0)},o(e){m(Q.$$.fragment,e),m(ee.$$.fragment,e),m(oe.$$.fragment,e),m(ne.$$.fragment,e),m(fe.$$.fragment,e),m(_e.$$.fragment,e),m(He.$$.fragment,e),m(Ee.$$.fragment,e),m(Ne.$$.fragment,e),m(Ie.$$.fragment,e),m(Je.$$.fragment,e),m(Xe.$$.fragment,e),m(tt.$$.fragment,e),m(ot.$$.fragment,e),Er=!1},d(e){e&&(t(Bt),t(Ct),t(It),t(G),t(Ot),t(x),t(qt),t(W),t(zt),t(X),t(Ut),t(Y),t(Vt),t(Jt),t(Ft),t(Z),t(Gt),t(T),t(Qt),t(te),t(Wt),t(le),t(Xt),t(Yt),t(Zt),t(re),t(el),t(w),t(tl),t(ae),t(ll),t(ie),t(rl),t(se),t(ol),t(al),t(il),t(ce),t(sl),t(C),t(cl),t(de),t(nl),t(ue),t(dl),t(he),t(ul),t(hl),t(pl),t(pe),t(fl),t($),t(vl),t(ve),t(ml),t(me),t(bl),t(be),t(yl),t(_l),t(xl),t(ye),t(Tl),t(H),t(wl),t(xe),t(Cl),t(Te),t($l),t(we),t(Hl),t(Ce),t(Al),t(Ll),t(gl),t($e),t(Ml),t(A),t(El),t(Ae),t(kl),t(Le),t(Pl),t(ge),t(jl),t(Sl),t(Nl),t(Me),t(Rl),t(L),t(Dl),t(ke),t(Kl),t(Pe),t(Bl),t(je),t(Il),t(Ol),t(ql),t(Se),t(zl),t(g),t(Ul),t(Re),t(Vl),t(De),t(Jl),t(Ke),t(Fl),t(Gl),t(Ql),t(Be),t(Wl),t(M),t(Xl),t(Oe),t(Yl),t(qe),t(Zl),t(ze),t(er),t(Ue),t(tr),t(lr),t(rr),t(Ve),t(or),t(E),t(ar),t(Fe),t(ir),t(Ge),t(sr),t(Qe),t(cr),t(nr),t(dr),t(We),t(ur),t(k),t(hr),t(Ye),t(pr),t(Ze),t(fr),t(vr),t(mr),t(et),t(br),t(P),t(yr),t(lt),t(_r),t(xr),t(Tr),t(rt),t(wr),t(j),t(Cr),t(at),t($r),t(it),t(Hr),t(st),t(Ar),t(ct),t(Lr),t(gr),t(Mr),t(Kt)),t(_),b(Q),b(ee),b(oe),b(ne),b(fe),b(_e),b(He),b(Ee),b(Ne),b(Ie),b(Je),b(Xe),b(tt),b(ot)}}}const za={local:"utilscore",sections:[{local:"utilscorecallable-codecode",title:"`utils/core.Callable` : <code>*</code>"},{local:"utilscorereversedictionarydata-codeobjectcode",title:"`utils/core.reverseDictionary(data)` ⇒ <code>Object</code>"},{local:"utilscoreescaperegexpstring-codestringcode",title:"`utils/core.escapeRegExp(string)` ⇒ <code>string</code>"},{local:"utilscoreisstringtext-codebooleancode",title:"`utils/core.isString(text)` ⇒ <code>boolean</code>"},{local:"utilscoreistypedarrayval-codebooleancode",title:"`utils/core.isTypedArray(val)` ⇒ <code>boolean</code>"},{local:"utilscoreisintegralnumberx-codebooleancode",title:"`utils/core.isIntegralNumber(x)` ⇒ <code>boolean</code>"},{local:"utilscoreexistsx-codebooleancode",title:"`utils/core.exists(x)` ⇒ <code>boolean</code>"},{local:"utilscorecalculatedimensionsarr-codearraycode",title:"`utils/core.calculateDimensions(arr)` ⇒ <code>Array</code>"},{local:"utilscorepopobj-key-defaultvalue-codecode",title:"`utils/core.pop(obj, key, defaultValue)` ⇒ <code>*</code>"},{local:"utilscoremergearraysarrs-codearraycode",title:"`utils/core.mergeArrays(arrs)` ⇒ <code>Array</code>"},{local:"utilscorecallable",sections:[{local:"new-callable",title:"`new Callable()`"},{local:"callablecallargs",title:"`callable._call(...args)`"}],title:"utils/core~Callable"}],title:"utils/core"};function Ua(ao){return Ka(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ga extends Ba{constructor(_){super(),Ia(this,_,Ua,qa,Ra,{})}}export{Ga as component};
