import{s as ic,n as sc,o as nc}from"../chunks/scheduler.b108d059.js";import{S as uc,i as fc,g as l,s as d,u as h,A as hc,h as o,f as e,c as i,j as u,v as c,y as n,k as s,o as f,a,w as m,d as p,t as v,x as y}from"../chunks/index.a9288bc5.js";import{I as T}from"../chunks/IconCopyLink.9df037eb.js";import{C as cc}from"../chunks/CodeBlock.5ddf772e.js";function mc(zn){let _,Ml,Qa,Cl,Lt,Fl,b,V,Va,Mt,dn,_a,Dn="utils/maths",gl,Ct,jn="Helper module for mathematical processing.",El,Ft,qn=`These functions and classes are only used internally,
meaning an end-user shouldn’t need to access anything here.`,Pl,gt,Un='<li><a href="#module_utils/maths">utils/maths</a><ul><li><em>static</em><ul><li><a href="#module_utils/maths.FFT">.FFT</a><ul><li><a href="#new_module_utils/maths.FFT_new"><code>new FFT(size)</code></a></li> <li><a href="#module_utils/maths.FFT+createComplexArray"><code>.createComplexArray()</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_utils/maths.FFT+fromComplexArray"><code>.fromComplexArray(complex, [storage])</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.FFT+toComplexArray"><code>.toComplexArray(input, [storage])</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_utils/maths.FFT+completeSpectrum"><code>.completeSpectrum(spectrum)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+transform"><code>.transform(out, data)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+realTransform"><code>.realTransform(out, data)</code></a></li> <li><a href="#module_utils/maths.FFT+inverseTransform"><code>.inverseTransform(out, data)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_transform4"><code>._transform4(out, data, inv)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleTransform2"><code>._singleTransform2(data, out, outOff, off, step)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleTransform4"><code>._singleTransform4(data, out, outOff, off, step, inv)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_realTransform4"><code>._realTransform4(out, data, inv)</code></a></li> <li><a href="#module_utils/maths.FFT+_singleRealTransform2"><code>._singleRealTransform2(data, out, outOff, off, step)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleRealTransform4"><code>._singleRealTransform4(data, out, outOff, off, step, inv)</code></a></li></ul></li> <li><a href="#module_utils/maths.interpolate_data"><code>.interpolate_data(input)</code></a></li> <li><a href="#module_utils/maths.transpose_data"><code>.transpose_data(array, dims, axes)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/maths.softmax"><code>.softmax(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.log_softmax"><code>.log_softmax(arr)</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/maths.dot"><code>.dot(arr1, arr2)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/maths.getTopItems"><code>.getTopItems(items, [top_k])</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/maths.cos_sim"><code>.cos_sim(arr1, arr2)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/maths.magnitude"><code>.magnitude(arr)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/maths.min"><code>.min(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.max"><code>.max(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.rfftfreq"><code>.rfftfreq(n, [d])</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.medianFilter"><code>.medianFilter(data, windowSize)</code></a></li> <li><a href="#module_utils/maths.round"><code>.round(num, decimals)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/maths..AnyTypedArray"><code>~AnyTypedArray</code></a> : <code>Int8Array</code> | <code>Uint8Array</code> | <code>Uint8ClampedArray</code> | <code>Int16Array</code> | <code>Uint16Array</code> | <code>Int32Array</code> | <code>Uint32Array</code> | <code>Float32Array</code> | <code>Float64Array</code></li></ul></li></ul></li>',kl,Sl,Rl,Et,Nl,x,W,Wa,Pt,sn,ba,On="utils/maths.FFT",zl,kt,Kn=`FFT class provides functionality for performing Fast Fourier Transform on arrays
Code adapted from <a href="https://www.npmjs.com/package/fft.js" rel="nofollow">https://www.npmjs.com/package/fft.js</a>`,Dl,St,In='<strong>Kind</strong>: static class of <a href="#module_utils/maths"><code>utils/maths</code></a>',jl,Rt,Bn='<li><a href="#module_utils/maths.FFT">.FFT</a><ul><li><a href="#new_module_utils/maths.FFT_new"><code>new FFT(size)</code></a></li> <li><a href="#module_utils/maths.FFT+createComplexArray"><code>.createComplexArray()</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_utils/maths.FFT+fromComplexArray"><code>.fromComplexArray(complex, [storage])</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.FFT+toComplexArray"><code>.toComplexArray(input, [storage])</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_utils/maths.FFT+completeSpectrum"><code>.completeSpectrum(spectrum)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+transform"><code>.transform(out, data)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+realTransform"><code>.realTransform(out, data)</code></a></li> <li><a href="#module_utils/maths.FFT+inverseTransform"><code>.inverseTransform(out, data)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_transform4"><code>._transform4(out, data, inv)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleTransform2"><code>._singleTransform2(data, out, outOff, off, step)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleTransform4"><code>._singleTransform4(data, out, outOff, off, step, inv)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_realTransform4"><code>._realTransform4(out, data, inv)</code></a></li> <li><a href="#module_utils/maths.FFT+_singleRealTransform2"><code>._singleRealTransform2(data, out, outOff, off, step)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleRealTransform4"><code>._singleRealTransform4(data, out, outOff, off, step, inv)</code></a></li></ul></li>',ql,Ul,Ol,Nt,Kl,A,X,Xa,zt,nn,xa,Jn="<code>new FFT(size)</code>",Il,Dt,Zn="<strong>Throws</strong>:",Bl,jt,Gn="<li><code>Error</code> FFT size must be a power of two and bigger than 1.</li>",Jl,qt,Qn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>size</td><td><code>number</code></td><td><p>The size of the input array. Must be a power of two and bigger than 1.</p></td></tr></tbody>",Zl,Gl,Ql,Ut,Vl,w,Y,Ya,Ot,un,Aa,Vn="<code>ffT.createComplexArray()</code> ⇒ <code>Float32Array</code>",Wl,Kt,Wn="Create a complex number array with size <code>2 * size</code>",Xl,It,Xn='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Returns</strong>: <code>Float32Array</code> - A complex number array with size <code>2 * size</code>',Yl,to,eo,Bt,ro,H,tt,tl,Jt,fn,wa,Yn="<code>ffT.fromComplexArray(complex, [storage])</code> ⇒ <code>Array.&lt;number&gt;</code>",ao,Zt,tu="Converts a complex number representation stored in a Float32Array to an array of real numbers.",lo,Gt,eu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array of real numbers representing the input complex number representation.',oo,Qt,ru="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>complex</td><td><code>Float32Array</code></td><td><p>The complex number representation to be converted.</p></td> </tr><tr><td>[storage]</td><td><code>Array.&lt;number&gt;</code></td><td><p>An optional array to store the result in.</p></td></tr></tbody>",io,so,no,Vt,uo,$,et,el,Wt,hn,Ha,au="<code>ffT.toComplexArray(input, [storage])</code> ⇒ <code>Float32Array</code>",fo,Xt,lu="Convert a real-valued input array to a complex-valued output array.",ho,Yt,ou='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Returns</strong>: <code>Float32Array</code> - The complex-valued output array.',co,te,du="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input</td><td><code>Float32Array</code></td><td><p>The real-valued input array.</p></td> </tr><tr><td>[storage]</td><td><code>Float32Array</code></td><td><p>Optional buffer to store the output array.</p></td></tr></tbody>",mo,po,vo,ee,yo,L,rt,rl,re,cn,$a,iu="<code>ffT.completeSpectrum(spectrum)</code> ⇒ <code>void</code>",To,ae,su="Completes the spectrum by adding its mirrored negative frequency components.",_o,le,nu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',bo,oe,uu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>spectrum</td><td><code>Float32Array</code></td><td><p>The input spectrum.</p></td></tr></tbody>",xo,Ao,wo,de,Ho,M,at,al,ie,mn,La,fu="<code>ffT.transform(out, data)</code> ⇒ <code>void</code>",$o,se,hu="Performs a Fast Fourier Transform (FFT) on the given input data and stores the result in the output buffer.",Lo,ne,cu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Throws</strong>:',Mo,ue,mu="<li><code>Error</code> Input and output buffers must be different.</li>",Co,fe,pu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer to store the result.</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input data to transform.</p></td></tr></tbody>",Fo,go,Eo,he,Po,C,lt,ll,ce,pn,Ma,vu="<code>ffT.realTransform(out, data)</code>",ko,me,yu=`Performs a real-valued forward FFT on the given input buffer and stores the result in the given output buffer.
The input buffer must contain real values only, while the output buffer will contain complex values. The input and
output buffers must be different.`,So,pe,Tu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Throws</strong>:',Ro,ve,_u="<li><code>Error</code> If the input and output buffers are the same.</li>",No,ye,bu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer.</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input buffer containing real values.</p></td></tr></tbody>",zo,Do,jo,Te,qo,F,ot,ol,_e,vn,Ca,xu="<code>ffT.inverseTransform(out, data)</code> ⇒ <code>void</code>",Uo,be,Au=`Performs an inverse FFT transformation on the given <code>data</code> array, and stores the result in <code>out</code>.
The <code>out</code> array must be a different buffer than the <code>data</code> array. The <code>out</code> array will contain the
result of the transformation. The <code>data</code> array will not be modified.`,Oo,xe,wu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Throws</strong>:',Ko,Ae,Hu="<li><code>Error</code> If `out` and `data` refer to the same buffer.</li>",Io,we,$u="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer for the transformed data.</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input data to transform.</p></td></tr></tbody>",Bo,Jo,Zo,He,Go,g,dt,dl,$e,yn,Fa,Lu="<code>ffT._transform4(out, data, inv)</code> ⇒ <code>void</code>",Qo,Le,Mu="Performs a radix-4 implementation of a discrete Fourier transform on a given set of data.",Vo,Me,Cu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',Wo,Ce,Fu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer for the transformed data.</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input buffer of data to be transformed.</p></td> </tr><tr><td>inv</td><td><code>number</code></td><td><p>A scaling factor to apply to the transform.</p></td></tr></tbody>",Xo,Yo,td,Fe,ed,E,it,il,ge,Tn,ga,gu="<code>ffT._singleTransform2(data, out, outOff, off, step)</code> ⇒ <code>void</code>",rd,Ee,Eu="Performs a radix-2 implementation of a discrete Fourier transform on a given set of data.",ad,Pe,Pu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',ld,ke,ku="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input buffer of data to be transformed.</p></td> </tr><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer for the transformed data.</p></td> </tr><tr><td>outOff</td><td><code>number</code></td><td><p>The offset at which to write the output data.</p></td> </tr><tr><td>off</td><td><code>number</code></td><td><p>The offset at which to begin reading the input data.</p></td> </tr><tr><td>step</td><td><code>number</code></td><td><p>The step size for indexing the input data.</p></td></tr></tbody>",od,dd,id,Se,sd,P,st,sl,Re,_n,Ea,Su="<code>ffT._singleTransform4(data, out, outOff, off, step, inv)</code> ⇒ <code>void</code>",nd,Ne,Ru="Performs radix-4 transformation on input data of length 8",ud,ze,Nu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',fd,De,zu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Float32Array</code></td><td><p>Input data array of length 8</p></td> </tr><tr><td>out</td><td><code>Float32Array</code></td><td><p>Output data array of length 8</p></td> </tr><tr><td>outOff</td><td><code>number</code></td><td><p>Index of output array to start writing from</p></td> </tr><tr><td>off</td><td><code>number</code></td><td><p>Index of input array to start reading from</p></td> </tr><tr><td>step</td><td><code>number</code></td><td><p>Step size between elements in input array</p></td> </tr><tr><td>inv</td><td><code>number</code></td><td><p>Scaling factor for inverse transform</p></td></tr></tbody>",hd,cd,md,je,pd,k,nt,nl,qe,bn,Pa,Du="<code>ffT._realTransform4(out, data, inv)</code>",vd,Ue,ju="Real input radix-4 implementation",yd,Oe,qu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',Td,Ke,Uu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>Output array for the transformed data</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>Input array of real data to be transformed</p></td> </tr><tr><td>inv</td><td><code>number</code></td><td><p>The scale factor used to normalize the inverse transform</p></td></tr></tbody>",_d,bd,xd,Ie,Ad,S,ut,ul,Be,xn,ka,Ou="<code>ffT._singleRealTransform2(data, out, outOff, off, step)</code> ⇒ <code>void</code>",wd,Je,Ku="Performs a single real input radix-2 transformation on the provided data",Hd,Ze,Iu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',$d,Ge,Bu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input data array</p></td> </tr><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output data array</p></td> </tr><tr><td>outOff</td><td><code>number</code></td><td><p>The output offset</p></td> </tr><tr><td>off</td><td><code>number</code></td><td><p>The input offset</p></td> </tr><tr><td>step</td><td><code>number</code></td><td><p>The step</p></td></tr></tbody>",Ld,Md,Cd,Qe,Fd,R,ft,fl,Ve,An,Sa,Ju="<code>ffT._singleRealTransform4(data, out, outOff, off, step, inv)</code>",gd,We,Zu=`Computes a single real-valued transform using radix-4 algorithm.
This method is only called for len=8.`,Ed,Xe,Gu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',Pd,Ye,Qu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input data array.</p></td> </tr><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output data array.</p></td> </tr><tr><td>outOff</td><td><code>number</code></td><td><p>The offset into the output array.</p></td> </tr><tr><td>off</td><td><code>number</code></td><td><p>The offset into the input array.</p></td> </tr><tr><td>step</td><td><code>number</code></td><td><p>The step size for the input array.</p></td> </tr><tr><td>inv</td><td><code>number</code></td><td><p>The value of inverse.</p></td></tr></tbody>",kd,Sd,Rd,tr,Nd,N,ht,hl,er,wn,Ra,Vu="<code>utils/maths.interpolate_data(input)</code>",zd,rr,Wu='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a>',Dd,ar,Xu="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input</td><td><code>TypedArray</code></td></tr></tbody>",jd,qd,Ud,lr,Od,z,ct,cl,or,Hn,Na,Yu="<code>utils/maths.transpose_data(array, dims, axes)</code> ⇒ <code>*</code>",Kd,dr,tf="Helper method to transpose a <code>AnyTypedArray</code> directly",Id,ir,ef='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>*</code> - The transposed array and the new shape.',Bd,sr,rf="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>array</td><td><code>T</code></td> </tr><tr><td>dims</td><td><code>Array.&lt;number&gt;</code></td> </tr><tr><td>axes</td><td><code>Array.&lt;number&gt;</code></td></tr></tbody>",Jd,Zd,Gd,nr,Qd,D,mt,ml,ur,$n,za,af="<code>utils/maths.softmax(arr)</code> ⇒ <code>Array.&lt;number&gt;</code>",Vd,fr,lf="Compute the softmax of an array of numbers.",Wd,hr,of='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - The softmax array.',Xd,cr,df="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>The array of numbers to compute the softmax of.</p></td></tr></tbody>",Yd,ti,ei,mr,ri,j,pt,pl,pr,Ln,Da,sf="<code>utils/maths.log_softmax(arr)</code> ⇒ <code>any</code>",ai,vr,nf="Calculates the logarithm of the softmax function for the input array.",li,yr,uf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>any</code> - The resulting log_softmax array.',oi,Tr,ff="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>The input array to calculate the log_softmax function for.</p></td></tr></tbody>",di,ii,si,_r,ni,q,vt,vl,br,Mn,ja,hf="<code>utils/maths.dot(arr1, arr2)</code> ⇒ <code>number</code>",ui,xr,cf="Calculates the dot product of two arrays.",fi,Ar,mf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>number</code> - The dot product of arr1 and arr2.',hi,wr,pf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr1</td><td><code>Array.&lt;number&gt;</code></td><td><p>The first array.</p></td> </tr><tr><td>arr2</td><td><code>Array.&lt;number&gt;</code></td><td><p>The second array.</p></td></tr></tbody>",ci,mi,pi,Hr,vi,U,yt,yl,$r,Cn,qa,vf="<code>utils/maths.getTopItems(items, [top_k])</code> ⇒ <code>Array</code>",yi,Lr,yf="Get the top k items from an iterable, sorted by descending order",Ti,Mr,Tf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The top k items, sorted by descending order',_i,Cr,_f="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>items</td><td><code>Array</code></td><td></td><td><p>The items to be sorted</p></td> </tr><tr><td>[top_k]</td><td><code>number</code></td><td><code>0</code></td><td><p>The number of top items to return (default: 0 = return all)</p></td></tr></tbody>",bi,xi,Ai,Fr,wi,O,Tt,Tl,gr,Fn,Ua,bf="<code>utils/maths.cos_sim(arr1, arr2)</code> ⇒ <code>number</code>",Hi,Er,xf="Computes the cosine similarity between two arrays.",$i,Pr,Af='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>number</code> - The cosine similarity between the two arrays.',Li,kr,wf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr1</td><td><code>Array.&lt;number&gt;</code></td><td><p>The first array.</p></td> </tr><tr><td>arr2</td><td><code>Array.&lt;number&gt;</code></td><td><p>The second array.</p></td></tr></tbody>",Mi,Ci,Fi,Sr,gi,K,_t,_l,Rr,gn,Oa,Hf="<code>utils/maths.magnitude(arr)</code> ⇒ <code>number</code>",Ei,Nr,$f="Calculates the magnitude of a given array.",Pi,zr,Lf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>number</code> - The magnitude of the array.',ki,Dr,Mf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>The array to calculate the magnitude of.</p></td></tr></tbody>",Si,Ri,Ni,jr,zi,I,bt,bl,qr,En,Ka,Cf="<code>utils/maths.min(arr)</code> ⇒ <code>Array.&lt;number&gt;</code>",Di,Ur,Ff="Returns the value and index of the minimum element in an array.",ji,Or,gf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - the value and index of the minimum element, of the form: [valueOfMin, indexOfMin]<br/> <strong>Throws</strong>:',qi,Kr,Ef="<li><code>Error</code> If array is empty.</li>",Ui,Ir,Pf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>array of numbers.</p></td></tr></tbody>",Oi,Ki,Ii,Br,Bi,B,xt,xl,Jr,Pn,Ia,kf="<code>utils/maths.max(arr)</code> ⇒ <code>Array.&lt;number&gt;</code>",Ji,Zr,Sf="Returns the value and index of the maximum element in an array.",Zi,Gr,Rf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - the value and index of the maximum element, of the form: [valueOfMax, indexOfMax]<br/> <strong>Throws</strong>:',Gi,Qr,Nf="<li><code>Error</code> If array is empty.</li>",Qi,Vr,zf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>array of numbers.</p></td></tr></tbody>",Vi,Wi,Xi,Wr,Yi,J,At,Al,Xr,kn,Ba,Df="<code>utils/maths.rfftfreq(n, [d])</code> ⇒ <code>Array.&lt;number&gt;</code>",ts,Yr,jf="Return the Discrete Fourier Transform sample frequencies.",es,ta,qf=`Code adapted from <a href="https://github.com/numpy/numpy/blob/25908cacd19915bf3ddd659c28be28a41bd97a54/numpy/fft/helper.py#L173-L221" rel="nofollow">https://github.com/numpy/numpy/blob/25908cacd19915bf3ddd659c28be28a41bd97a54/numpy/fft/helper.py#L173-L221</a>
Original Python doc: <a href="https://numpy.org/doc/stable/reference/generated/numpy.fft.rfftfreq.html" rel="nofollow">https://numpy.org/doc/stable/reference/generated/numpy.fft.rfftfreq.html</a>`,rs,ea,Uf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - Array of length <code>Math.floor(n / 2) + 1;</code> containing the sample frequencies.<br/> <strong>Throws</strong>:',as,ra,Of="<li><code>TypeError</code> If n is not an integer.</li>",ls,aa,Kf="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>n</td><td><code>number</code></td><td></td><td><p>Window length</p></td> </tr><tr><td>[d]</td><td><code>number</code></td><td><code>1.0</code></td><td><p>Sample spacing (inverse of the sampling rate). Defaults to 1.</p></td></tr></tbody>",os,la,If="<strong>Example</strong>",ds,oa,is,ss,ns,da,us,Z,wt,wl,ia,Sn,Ja,Bf="<code>utils/maths.medianFilter(data, windowSize)</code>",fs,sa,Jf="Performs median filter on the provided data. Padding is done by mirroring the data.",hs,na,Zf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a>',cs,ua,Gf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>AnyTypedArray</code></td><td><p>The input array</p></td> </tr><tr><td>windowSize</td><td><code>number</code></td><td><p>The window size</p></td></tr></tbody>",ms,ps,vs,fa,ys,G,Ht,Hl,ha,Rn,Za,Qf="<code>utils/maths.round(num, decimals)</code> ⇒ <code>number</code>",Ts,ca,Vf="Helper function to round a number to a given number of decimals",_s,ma,Wf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>number</code> - The rounded number',bs,pa,Xf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>num</td><td><code>number</code></td><td><p>The number to round</p></td> </tr><tr><td>decimals</td><td><code>number</code></td><td><p>The number of decimals</p></td></tr></tbody>",xs,As,ws,va,Hs,Q,$t,$l,ya,Nn,Ga,Yf="<code>utils/maths~AnyTypedArray</code> : <code>Int8Array</code> | <code>Uint8Array</code> | <code>Uint8ClampedArray</code> | <code>Int16Array</code> | <code>Uint16Array</code> | <code>Int32Array</code> | <code>Uint32Array</code> | <code>Float32Array</code> | <code>Float64Array</code>",$s,Ta,th='<strong>Kind</strong>: inner typedef of <a href="#module_utils/maths"><code>utils/maths</code></a>',Ls,Ms,Cs,Ll,Fs;return Mt=new T({}),Pt=new T({}),zt=new T({}),Ot=new T({}),Jt=new T({}),Wt=new T({}),re=new T({}),ie=new T({}),ce=new T({}),_e=new T({}),$e=new T({}),ge=new T({}),Re=new T({}),qe=new T({}),Be=new T({}),Ve=new T({}),er=new T({}),or=new T({}),ur=new T({}),pr=new T({}),br=new T({}),$r=new T({}),gr=new T({}),Rr=new T({}),qr=new T({}),Jr=new T({}),Xr=new T({}),oa=new cc({props:{code:"cmZmdGZyZXEoNDAwJTJDJTIwMSUyMCUyRiUyMDE2MDAwKSUyMCUyRiUyRiUyMCgyMDEpJUMyJUEwJTVCMCUyQyUyMDQwJTJDJTIwODAlMkMlMjAxMjAlMkMlMjAxNjAlMkMlMjAyMDAlMkMlMjAuLi4lMkMlMjA4MDAwJTVE",highlighted:'<span class="hljs-title function_">rfftfreq</span>(<span class="hljs-number">400</span>, <span class="hljs-number">1</span> / <span class="hljs-number">16000</span>) <span class="hljs-comment">// (201) [0, 40, 80, 120, 160, 200, ..., 8000]</span>'}}),ia=new T({}),ha=new T({}),ya=new T({}),{c(){_=l("meta"),Ml=d(),Qa=l("p"),Cl=d(),Lt=l("a"),Fl=d(),b=l("h1"),V=l("a"),Va=l("span"),h(Mt.$$.fragment),dn=d(),_a=l("span"),_a.textContent=Dn,gl=d(),Ct=l("p"),Ct.textContent=jn,El=d(),Ft=l("p"),Ft.textContent=qn,Pl=d(),gt=l("ul"),gt.innerHTML=Un,kl=d(),Sl=l("hr"),Rl=d(),Et=l("a"),Nl=d(),x=l("h2"),W=l("a"),Wa=l("span"),h(Pt.$$.fragment),sn=d(),ba=l("span"),ba.textContent=On,zl=d(),kt=l("p"),kt.innerHTML=Kn,Dl=d(),St=l("p"),St.innerHTML=In,jl=d(),Rt=l("ul"),Rt.innerHTML=Bn,ql=d(),Ul=l("hr"),Ol=d(),Nt=l("a"),Kl=d(),A=l("h3"),X=l("a"),Xa=l("span"),h(zt.$$.fragment),nn=d(),xa=l("span"),xa.innerHTML=Jn,Il=d(),Dt=l("p"),Dt.innerHTML=Zn,Bl=d(),jt=l("ul"),jt.innerHTML=Gn,Jl=d(),qt=l("table"),qt.innerHTML=Qn,Zl=d(),Gl=l("hr"),Ql=d(),Ut=l("a"),Vl=d(),w=l("h3"),Y=l("a"),Ya=l("span"),h(Ot.$$.fragment),un=d(),Aa=l("span"),Aa.innerHTML=Vn,Wl=d(),Kt=l("p"),Kt.innerHTML=Wn,Xl=d(),It=l("p"),It.innerHTML=Xn,Yl=d(),to=l("hr"),eo=d(),Bt=l("a"),ro=d(),H=l("h3"),tt=l("a"),tl=l("span"),h(Jt.$$.fragment),fn=d(),wa=l("span"),wa.innerHTML=Yn,ao=d(),Zt=l("p"),Zt.textContent=tu,lo=d(),Gt=l("p"),Gt.innerHTML=eu,oo=d(),Qt=l("table"),Qt.innerHTML=ru,io=d(),so=l("hr"),no=d(),Vt=l("a"),uo=d(),$=l("h3"),et=l("a"),el=l("span"),h(Wt.$$.fragment),hn=d(),Ha=l("span"),Ha.innerHTML=au,fo=d(),Xt=l("p"),Xt.textContent=lu,ho=d(),Yt=l("p"),Yt.innerHTML=ou,co=d(),te=l("table"),te.innerHTML=du,mo=d(),po=l("hr"),vo=d(),ee=l("a"),yo=d(),L=l("h3"),rt=l("a"),rl=l("span"),h(re.$$.fragment),cn=d(),$a=l("span"),$a.innerHTML=iu,To=d(),ae=l("p"),ae.textContent=su,_o=d(),le=l("p"),le.innerHTML=nu,bo=d(),oe=l("table"),oe.innerHTML=uu,xo=d(),Ao=l("hr"),wo=d(),de=l("a"),Ho=d(),M=l("h3"),at=l("a"),al=l("span"),h(ie.$$.fragment),mn=d(),La=l("span"),La.innerHTML=fu,$o=d(),se=l("p"),se.textContent=hu,Lo=d(),ne=l("p"),ne.innerHTML=cu,Mo=d(),ue=l("ul"),ue.innerHTML=mu,Co=d(),fe=l("table"),fe.innerHTML=pu,Fo=d(),go=l("hr"),Eo=d(),he=l("a"),Po=d(),C=l("h3"),lt=l("a"),ll=l("span"),h(ce.$$.fragment),pn=d(),Ma=l("span"),Ma.innerHTML=vu,ko=d(),me=l("p"),me.textContent=yu,So=d(),pe=l("p"),pe.innerHTML=Tu,Ro=d(),ve=l("ul"),ve.innerHTML=_u,No=d(),ye=l("table"),ye.innerHTML=bu,zo=d(),Do=l("hr"),jo=d(),Te=l("a"),qo=d(),F=l("h3"),ot=l("a"),ol=l("span"),h(_e.$$.fragment),vn=d(),Ca=l("span"),Ca.innerHTML=xu,Uo=d(),be=l("p"),be.innerHTML=Au,Oo=d(),xe=l("p"),xe.innerHTML=wu,Ko=d(),Ae=l("ul"),Ae.innerHTML=Hu,Io=d(),we=l("table"),we.innerHTML=$u,Bo=d(),Jo=l("hr"),Zo=d(),He=l("a"),Go=d(),g=l("h3"),dt=l("a"),dl=l("span"),h($e.$$.fragment),yn=d(),Fa=l("span"),Fa.innerHTML=Lu,Qo=d(),Le=l("p"),Le.textContent=Mu,Vo=d(),Me=l("p"),Me.innerHTML=Cu,Wo=d(),Ce=l("table"),Ce.innerHTML=Fu,Xo=d(),Yo=l("hr"),td=d(),Fe=l("a"),ed=d(),E=l("h3"),it=l("a"),il=l("span"),h(ge.$$.fragment),Tn=d(),ga=l("span"),ga.innerHTML=gu,rd=d(),Ee=l("p"),Ee.textContent=Eu,ad=d(),Pe=l("p"),Pe.innerHTML=Pu,ld=d(),ke=l("table"),ke.innerHTML=ku,od=d(),dd=l("hr"),id=d(),Se=l("a"),sd=d(),P=l("h3"),st=l("a"),sl=l("span"),h(Re.$$.fragment),_n=d(),Ea=l("span"),Ea.innerHTML=Su,nd=d(),Ne=l("p"),Ne.textContent=Ru,ud=d(),ze=l("p"),ze.innerHTML=Nu,fd=d(),De=l("table"),De.innerHTML=zu,hd=d(),cd=l("hr"),md=d(),je=l("a"),pd=d(),k=l("h3"),nt=l("a"),nl=l("span"),h(qe.$$.fragment),bn=d(),Pa=l("span"),Pa.innerHTML=Du,vd=d(),Ue=l("p"),Ue.textContent=ju,yd=d(),Oe=l("p"),Oe.innerHTML=qu,Td=d(),Ke=l("table"),Ke.innerHTML=Uu,_d=d(),bd=l("hr"),xd=d(),Ie=l("a"),Ad=d(),S=l("h3"),ut=l("a"),ul=l("span"),h(Be.$$.fragment),xn=d(),ka=l("span"),ka.innerHTML=Ou,wd=d(),Je=l("p"),Je.textContent=Ku,Hd=d(),Ze=l("p"),Ze.innerHTML=Iu,$d=d(),Ge=l("table"),Ge.innerHTML=Bu,Ld=d(),Md=l("hr"),Cd=d(),Qe=l("a"),Fd=d(),R=l("h3"),ft=l("a"),fl=l("span"),h(Ve.$$.fragment),An=d(),Sa=l("span"),Sa.innerHTML=Ju,gd=d(),We=l("p"),We.textContent=Zu,Ed=d(),Xe=l("p"),Xe.innerHTML=Gu,Pd=d(),Ye=l("table"),Ye.innerHTML=Qu,kd=d(),Sd=l("hr"),Rd=d(),tr=l("a"),Nd=d(),N=l("h2"),ht=l("a"),hl=l("span"),h(er.$$.fragment),wn=d(),Ra=l("span"),Ra.innerHTML=Vu,zd=d(),rr=l("p"),rr.innerHTML=Wu,Dd=d(),ar=l("table"),ar.innerHTML=Xu,jd=d(),qd=l("hr"),Ud=d(),lr=l("a"),Od=d(),z=l("h2"),ct=l("a"),cl=l("span"),h(or.$$.fragment),Hn=d(),Na=l("span"),Na.innerHTML=Yu,Kd=d(),dr=l("p"),dr.innerHTML=tf,Id=d(),ir=l("p"),ir.innerHTML=ef,Bd=d(),sr=l("table"),sr.innerHTML=rf,Jd=d(),Zd=l("hr"),Gd=d(),nr=l("a"),Qd=d(),D=l("h2"),mt=l("a"),ml=l("span"),h(ur.$$.fragment),$n=d(),za=l("span"),za.innerHTML=af,Vd=d(),fr=l("p"),fr.textContent=lf,Wd=d(),hr=l("p"),hr.innerHTML=of,Xd=d(),cr=l("table"),cr.innerHTML=df,Yd=d(),ti=l("hr"),ei=d(),mr=l("a"),ri=d(),j=l("h2"),pt=l("a"),pl=l("span"),h(pr.$$.fragment),Ln=d(),Da=l("span"),Da.innerHTML=sf,ai=d(),vr=l("p"),vr.textContent=nf,li=d(),yr=l("p"),yr.innerHTML=uf,oi=d(),Tr=l("table"),Tr.innerHTML=ff,di=d(),ii=l("hr"),si=d(),_r=l("a"),ni=d(),q=l("h2"),vt=l("a"),vl=l("span"),h(br.$$.fragment),Mn=d(),ja=l("span"),ja.innerHTML=hf,ui=d(),xr=l("p"),xr.textContent=cf,fi=d(),Ar=l("p"),Ar.innerHTML=mf,hi=d(),wr=l("table"),wr.innerHTML=pf,ci=d(),mi=l("hr"),pi=d(),Hr=l("a"),vi=d(),U=l("h2"),yt=l("a"),yl=l("span"),h($r.$$.fragment),Cn=d(),qa=l("span"),qa.innerHTML=vf,yi=d(),Lr=l("p"),Lr.textContent=yf,Ti=d(),Mr=l("p"),Mr.innerHTML=Tf,_i=d(),Cr=l("table"),Cr.innerHTML=_f,bi=d(),xi=l("hr"),Ai=d(),Fr=l("a"),wi=d(),O=l("h2"),Tt=l("a"),Tl=l("span"),h(gr.$$.fragment),Fn=d(),Ua=l("span"),Ua.innerHTML=bf,Hi=d(),Er=l("p"),Er.textContent=xf,$i=d(),Pr=l("p"),Pr.innerHTML=Af,Li=d(),kr=l("table"),kr.innerHTML=wf,Mi=d(),Ci=l("hr"),Fi=d(),Sr=l("a"),gi=d(),K=l("h2"),_t=l("a"),_l=l("span"),h(Rr.$$.fragment),gn=d(),Oa=l("span"),Oa.innerHTML=Hf,Ei=d(),Nr=l("p"),Nr.textContent=$f,Pi=d(),zr=l("p"),zr.innerHTML=Lf,ki=d(),Dr=l("table"),Dr.innerHTML=Mf,Si=d(),Ri=l("hr"),Ni=d(),jr=l("a"),zi=d(),I=l("h2"),bt=l("a"),bl=l("span"),h(qr.$$.fragment),En=d(),Ka=l("span"),Ka.innerHTML=Cf,Di=d(),Ur=l("p"),Ur.textContent=Ff,ji=d(),Or=l("p"),Or.innerHTML=gf,qi=d(),Kr=l("ul"),Kr.innerHTML=Ef,Ui=d(),Ir=l("table"),Ir.innerHTML=Pf,Oi=d(),Ki=l("hr"),Ii=d(),Br=l("a"),Bi=d(),B=l("h2"),xt=l("a"),xl=l("span"),h(Jr.$$.fragment),Pn=d(),Ia=l("span"),Ia.innerHTML=kf,Ji=d(),Zr=l("p"),Zr.textContent=Sf,Zi=d(),Gr=l("p"),Gr.innerHTML=Rf,Gi=d(),Qr=l("ul"),Qr.innerHTML=Nf,Qi=d(),Vr=l("table"),Vr.innerHTML=zf,Vi=d(),Wi=l("hr"),Xi=d(),Wr=l("a"),Yi=d(),J=l("h2"),At=l("a"),Al=l("span"),h(Xr.$$.fragment),kn=d(),Ba=l("span"),Ba.innerHTML=Df,ts=d(),Yr=l("p"),Yr.textContent=jf,es=d(),ta=l("p"),ta.innerHTML=qf,rs=d(),ea=l("p"),ea.innerHTML=Uf,as=d(),ra=l("ul"),ra.innerHTML=Of,ls=d(),aa=l("table"),aa.innerHTML=Kf,os=d(),la=l("p"),la.innerHTML=If,ds=d(),h(oa.$$.fragment),is=d(),ss=l("hr"),ns=d(),da=l("a"),us=d(),Z=l("h2"),wt=l("a"),wl=l("span"),h(ia.$$.fragment),Sn=d(),Ja=l("span"),Ja.innerHTML=Bf,fs=d(),sa=l("p"),sa.textContent=Jf,hs=d(),na=l("p"),na.innerHTML=Zf,cs=d(),ua=l("table"),ua.innerHTML=Gf,ms=d(),ps=l("hr"),vs=d(),fa=l("a"),ys=d(),G=l("h2"),Ht=l("a"),Hl=l("span"),h(ha.$$.fragment),Rn=d(),Za=l("span"),Za.innerHTML=Qf,Ts=d(),ca=l("p"),ca.textContent=Vf,_s=d(),ma=l("p"),ma.innerHTML=Wf,bs=d(),pa=l("table"),pa.innerHTML=Xf,xs=d(),As=l("hr"),ws=d(),va=l("a"),Hs=d(),Q=l("h2"),$t=l("a"),$l=l("span"),h(ya.$$.fragment),Nn=d(),Ga=l("span"),Ga.innerHTML=Yf,$s=d(),Ta=l("p"),Ta.innerHTML=th,Ls=d(),Ms=l("hr"),Cs=d(),Ll=l("p"),this.h()},l(t){const r=hc("svelte-1phssyn",document.head);_=o(r,"META",{name:!0,content:!0}),r.forEach(e),Ml=i(t),Qa=o(t,"P",{}),u(Qa).forEach(e),Cl=i(t),Lt=o(t,"A",{id:!0,class:!0}),u(Lt).forEach(e),Fl=i(t),b=o(t,"H1",{class:!0});var gs=u(b);V=o(gs,"A",{id:!0,class:!0,href:!0});var eh=u(V);Va=o(eh,"SPAN",{});var rh=u(Va);c(Mt.$$.fragment,rh),rh.forEach(e),eh.forEach(e),dn=i(gs),_a=o(gs,"SPAN",{"data-svelte-h":!0}),n(_a)!=="svelte-1moo53i"&&(_a.textContent=Dn),gs.forEach(e),gl=i(t),Ct=o(t,"P",{"data-svelte-h":!0}),n(Ct)!=="svelte-1d3zgi"&&(Ct.textContent=jn),El=i(t),Ft=o(t,"P",{"data-svelte-h":!0}),n(Ft)!=="svelte-il3kl8"&&(Ft.textContent=qn),Pl=i(t),gt=o(t,"UL",{"data-svelte-h":!0}),n(gt)!=="svelte-1s4r87c"&&(gt.innerHTML=Un),kl=i(t),Sl=o(t,"HR",{}),Rl=i(t),Et=o(t,"A",{id:!0,class:!0}),u(Et).forEach(e),Nl=i(t),x=o(t,"H2",{class:!0});var Es=u(x);W=o(Es,"A",{id:!0,class:!0,href:!0});var ah=u(W);Wa=o(ah,"SPAN",{});var lh=u(Wa);c(Pt.$$.fragment,lh),lh.forEach(e),ah.forEach(e),sn=i(Es),ba=o(Es,"SPAN",{"data-svelte-h":!0}),n(ba)!=="svelte-15lcaos"&&(ba.textContent=On),Es.forEach(e),zl=i(t),kt=o(t,"P",{"data-svelte-h":!0}),n(kt)!=="svelte-7n75rz"&&(kt.innerHTML=Kn),Dl=i(t),St=o(t,"P",{"data-svelte-h":!0}),n(St)!=="svelte-17lmlic"&&(St.innerHTML=In),jl=i(t),Rt=o(t,"UL",{"data-svelte-h":!0}),n(Rt)!=="svelte-1w1k8us"&&(Rt.innerHTML=Bn),ql=i(t),Ul=o(t,"HR",{}),Ol=i(t),Nt=o(t,"A",{id:!0,class:!0}),u(Nt).forEach(e),Kl=i(t),A=o(t,"H3",{class:!0});var Ps=u(A);X=o(Ps,"A",{id:!0,class:!0,href:!0});var oh=u(X);Xa=o(oh,"SPAN",{});var dh=u(Xa);c(zt.$$.fragment,dh),dh.forEach(e),oh.forEach(e),nn=i(Ps),xa=o(Ps,"SPAN",{"data-svelte-h":!0}),n(xa)!=="svelte-1ux7bsu"&&(xa.innerHTML=Jn),Ps.forEach(e),Il=i(t),Dt=o(t,"P",{"data-svelte-h":!0}),n(Dt)!=="svelte-1fz4yns"&&(Dt.innerHTML=Zn),Bl=i(t),jt=o(t,"UL",{"data-svelte-h":!0}),n(jt)!=="svelte-qf1c3v"&&(jt.innerHTML=Gn),Jl=i(t),qt=o(t,"TABLE",{"data-svelte-h":!0}),n(qt)!=="svelte-167nzyg"&&(qt.innerHTML=Qn),Zl=i(t),Gl=o(t,"HR",{}),Ql=i(t),Ut=o(t,"A",{id:!0,class:!0}),u(Ut).forEach(e),Vl=i(t),w=o(t,"H3",{class:!0});var ks=u(w);Y=o(ks,"A",{id:!0,class:!0,href:!0});var ih=u(Y);Ya=o(ih,"SPAN",{});var sh=u(Ya);c(Ot.$$.fragment,sh),sh.forEach(e),ih.forEach(e),un=i(ks),Aa=o(ks,"SPAN",{"data-svelte-h":!0}),n(Aa)!=="svelte-1uge8xp"&&(Aa.innerHTML=Vn),ks.forEach(e),Wl=i(t),Kt=o(t,"P",{"data-svelte-h":!0}),n(Kt)!=="svelte-1rrw4ya"&&(Kt.innerHTML=Wn),Xl=i(t),It=o(t,"P",{"data-svelte-h":!0}),n(It)!=="svelte-1rh9tqv"&&(It.innerHTML=Xn),Yl=i(t),to=o(t,"HR",{}),eo=i(t),Bt=o(t,"A",{id:!0,class:!0}),u(Bt).forEach(e),ro=i(t),H=o(t,"H3",{class:!0});var Ss=u(H);tt=o(Ss,"A",{id:!0,class:!0,href:!0});var nh=u(tt);tl=o(nh,"SPAN",{});var uh=u(tl);c(Jt.$$.fragment,uh),uh.forEach(e),nh.forEach(e),fn=i(Ss),wa=o(Ss,"SPAN",{"data-svelte-h":!0}),n(wa)!=="svelte-pckzb3"&&(wa.innerHTML=Yn),Ss.forEach(e),ao=i(t),Zt=o(t,"P",{"data-svelte-h":!0}),n(Zt)!=="svelte-1c12f1a"&&(Zt.textContent=tu),lo=i(t),Gt=o(t,"P",{"data-svelte-h":!0}),n(Gt)!=="svelte-11pedpu"&&(Gt.innerHTML=eu),oo=i(t),Qt=o(t,"TABLE",{"data-svelte-h":!0}),n(Qt)!=="svelte-1y3lbpx"&&(Qt.innerHTML=ru),io=i(t),so=o(t,"HR",{}),no=i(t),Vt=o(t,"A",{id:!0,class:!0}),u(Vt).forEach(e),uo=i(t),$=o(t,"H3",{class:!0});var Rs=u($);et=o(Rs,"A",{id:!0,class:!0,href:!0});var fh=u(et);el=o(fh,"SPAN",{});var hh=u(el);c(Wt.$$.fragment,hh),hh.forEach(e),fh.forEach(e),hn=i(Rs),Ha=o(Rs,"SPAN",{"data-svelte-h":!0}),n(Ha)!=="svelte-1c12n6v"&&(Ha.innerHTML=au),Rs.forEach(e),fo=i(t),Xt=o(t,"P",{"data-svelte-h":!0}),n(Xt)!=="svelte-rsnsrd"&&(Xt.textContent=lu),ho=i(t),Yt=o(t,"P",{"data-svelte-h":!0}),n(Yt)!=="svelte-1p1r7nu"&&(Yt.innerHTML=ou),co=i(t),te=o(t,"TABLE",{"data-svelte-h":!0}),n(te)!=="svelte-uvfu55"&&(te.innerHTML=du),mo=i(t),po=o(t,"HR",{}),vo=i(t),ee=o(t,"A",{id:!0,class:!0}),u(ee).forEach(e),yo=i(t),L=o(t,"H3",{class:!0});var Ns=u(L);rt=o(Ns,"A",{id:!0,class:!0,href:!0});var ch=u(rt);rl=o(ch,"SPAN",{});var mh=u(rl);c(re.$$.fragment,mh),mh.forEach(e),ch.forEach(e),cn=i(Ns),$a=o(Ns,"SPAN",{"data-svelte-h":!0}),n($a)!=="svelte-1alm7fn"&&($a.innerHTML=iu),Ns.forEach(e),To=i(t),ae=o(t,"P",{"data-svelte-h":!0}),n(ae)!=="svelte-id49q5"&&(ae.textContent=su),_o=i(t),le=o(t,"P",{"data-svelte-h":!0}),n(le)!=="svelte-12df40n"&&(le.innerHTML=nu),bo=i(t),oe=o(t,"TABLE",{"data-svelte-h":!0}),n(oe)!=="svelte-wm92m6"&&(oe.innerHTML=uu),xo=i(t),Ao=o(t,"HR",{}),wo=i(t),de=o(t,"A",{id:!0,class:!0}),u(de).forEach(e),Ho=i(t),M=o(t,"H3",{class:!0});var zs=u(M);at=o(zs,"A",{id:!0,class:!0,href:!0});var ph=u(at);al=o(ph,"SPAN",{});var vh=u(al);c(ie.$$.fragment,vh),vh.forEach(e),ph.forEach(e),mn=i(zs),La=o(zs,"SPAN",{"data-svelte-h":!0}),n(La)!=="svelte-175reus"&&(La.innerHTML=fu),zs.forEach(e),$o=i(t),se=o(t,"P",{"data-svelte-h":!0}),n(se)!=="svelte-846pp1"&&(se.textContent=hu),Lo=i(t),ne=o(t,"P",{"data-svelte-h":!0}),n(ne)!=="svelte-2myf8f"&&(ne.innerHTML=cu),Mo=i(t),ue=o(t,"UL",{"data-svelte-h":!0}),n(ue)!=="svelte-173tqd8"&&(ue.innerHTML=mu),Co=i(t),fe=o(t,"TABLE",{"data-svelte-h":!0}),n(fe)!=="svelte-1ks7pv9"&&(fe.innerHTML=pu),Fo=i(t),go=o(t,"HR",{}),Eo=i(t),he=o(t,"A",{id:!0,class:!0}),u(he).forEach(e),Po=i(t),C=o(t,"H3",{class:!0});var Ds=u(C);lt=o(Ds,"A",{id:!0,class:!0,href:!0});var yh=u(lt);ll=o(yh,"SPAN",{});var Th=u(ll);c(ce.$$.fragment,Th),Th.forEach(e),yh.forEach(e),pn=i(Ds),Ma=o(Ds,"SPAN",{"data-svelte-h":!0}),n(Ma)!=="svelte-5zalzp"&&(Ma.innerHTML=vu),Ds.forEach(e),ko=i(t),me=o(t,"P",{"data-svelte-h":!0}),n(me)!=="svelte-ozshoc"&&(me.textContent=yu),So=i(t),pe=o(t,"P",{"data-svelte-h":!0}),n(pe)!=="svelte-2myf8f"&&(pe.innerHTML=Tu),Ro=i(t),ve=o(t,"UL",{"data-svelte-h":!0}),n(ve)!=="svelte-1ap3720"&&(ve.innerHTML=_u),No=i(t),ye=o(t,"TABLE",{"data-svelte-h":!0}),n(ye)!=="svelte-1647ezg"&&(ye.innerHTML=bu),zo=i(t),Do=o(t,"HR",{}),jo=i(t),Te=o(t,"A",{id:!0,class:!0}),u(Te).forEach(e),qo=i(t),F=o(t,"H3",{class:!0});var js=u(F);ot=o(js,"A",{id:!0,class:!0,href:!0});var _h=u(ot);ol=o(_h,"SPAN",{});var bh=u(ol);c(_e.$$.fragment,bh),bh.forEach(e),_h.forEach(e),vn=i(js),Ca=o(js,"SPAN",{"data-svelte-h":!0}),n(Ca)!=="svelte-1rkn4mi"&&(Ca.innerHTML=xu),js.forEach(e),Uo=i(t),be=o(t,"P",{"data-svelte-h":!0}),n(be)!=="svelte-ijignt"&&(be.innerHTML=Au),Oo=i(t),xe=o(t,"P",{"data-svelte-h":!0}),n(xe)!=="svelte-2myf8f"&&(xe.innerHTML=wu),Ko=i(t),Ae=o(t,"UL",{"data-svelte-h":!0}),n(Ae)!=="svelte-1bp21xg"&&(Ae.innerHTML=Hu),Io=i(t),we=o(t,"TABLE",{"data-svelte-h":!0}),n(we)!=="svelte-hchha2"&&(we.innerHTML=$u),Bo=i(t),Jo=o(t,"HR",{}),Zo=i(t),He=o(t,"A",{id:!0,class:!0}),u(He).forEach(e),Go=i(t),g=o(t,"H3",{class:!0});var qs=u(g);dt=o(qs,"A",{id:!0,class:!0,href:!0});var xh=u(dt);dl=o(xh,"SPAN",{});var Ah=u(dl);c($e.$$.fragment,Ah),Ah.forEach(e),xh.forEach(e),yn=i(qs),Fa=o(qs,"SPAN",{"data-svelte-h":!0}),n(Fa)!=="svelte-16i8yoi"&&(Fa.innerHTML=Lu),qs.forEach(e),Qo=i(t),Le=o(t,"P",{"data-svelte-h":!0}),n(Le)!=="svelte-3r4wxn"&&(Le.textContent=Mu),Vo=i(t),Me=o(t,"P",{"data-svelte-h":!0}),n(Me)!=="svelte-12df40n"&&(Me.innerHTML=Cu),Wo=i(t),Ce=o(t,"TABLE",{"data-svelte-h":!0}),n(Ce)!=="svelte-kv3ieb"&&(Ce.innerHTML=Fu),Xo=i(t),Yo=o(t,"HR",{}),td=i(t),Fe=o(t,"A",{id:!0,class:!0}),u(Fe).forEach(e),ed=i(t),E=o(t,"H3",{class:!0});var Us=u(E);it=o(Us,"A",{id:!0,class:!0,href:!0});var wh=u(it);il=o(wh,"SPAN",{});var Hh=u(il);c(ge.$$.fragment,Hh),Hh.forEach(e),wh.forEach(e),Tn=i(Us),ga=o(Us,"SPAN",{"data-svelte-h":!0}),n(ga)!=="svelte-1xgahwp"&&(ga.innerHTML=gu),Us.forEach(e),rd=i(t),Ee=o(t,"P",{"data-svelte-h":!0}),n(Ee)!=="svelte-1jz5wqp"&&(Ee.textContent=Eu),ad=i(t),Pe=o(t,"P",{"data-svelte-h":!0}),n(Pe)!=="svelte-12df40n"&&(Pe.innerHTML=Pu),ld=i(t),ke=o(t,"TABLE",{"data-svelte-h":!0}),n(ke)!=="svelte-1mr0spx"&&(ke.innerHTML=ku),od=i(t),dd=o(t,"HR",{}),id=i(t),Se=o(t,"A",{id:!0,class:!0}),u(Se).forEach(e),sd=i(t),P=o(t,"H3",{class:!0});var Os=u(P);st=o(Os,"A",{id:!0,class:!0,href:!0});var $h=u(st);sl=o($h,"SPAN",{});var Lh=u(sl);c(Re.$$.fragment,Lh),Lh.forEach(e),$h.forEach(e),_n=i(Os),Ea=o(Os,"SPAN",{"data-svelte-h":!0}),n(Ea)!=="svelte-8vf47e"&&(Ea.innerHTML=Su),Os.forEach(e),nd=i(t),Ne=o(t,"P",{"data-svelte-h":!0}),n(Ne)!=="svelte-1baynqa"&&(Ne.textContent=Ru),ud=i(t),ze=o(t,"P",{"data-svelte-h":!0}),n(ze)!=="svelte-12df40n"&&(ze.innerHTML=Nu),fd=i(t),De=o(t,"TABLE",{"data-svelte-h":!0}),n(De)!=="svelte-1ejtysz"&&(De.innerHTML=zu),hd=i(t),cd=o(t,"HR",{}),md=i(t),je=o(t,"A",{id:!0,class:!0}),u(je).forEach(e),pd=i(t),k=o(t,"H3",{class:!0});var Ks=u(k);nt=o(Ks,"A",{id:!0,class:!0,href:!0});var Mh=u(nt);nl=o(Mh,"SPAN",{});var Ch=u(nl);c(qe.$$.fragment,Ch),Ch.forEach(e),Mh.forEach(e),bn=i(Ks),Pa=o(Ks,"SPAN",{"data-svelte-h":!0}),n(Pa)!=="svelte-pkvif9"&&(Pa.innerHTML=Du),Ks.forEach(e),vd=i(t),Ue=o(t,"P",{"data-svelte-h":!0}),n(Ue)!=="svelte-1gll44b"&&(Ue.textContent=ju),yd=i(t),Oe=o(t,"P",{"data-svelte-h":!0}),n(Oe)!=="svelte-12df40n"&&(Oe.innerHTML=qu),Td=i(t),Ke=o(t,"TABLE",{"data-svelte-h":!0}),n(Ke)!=="svelte-16u1rxd"&&(Ke.innerHTML=Uu),_d=i(t),bd=o(t,"HR",{}),xd=i(t),Ie=o(t,"A",{id:!0,class:!0}),u(Ie).forEach(e),Ad=i(t),S=o(t,"H3",{class:!0});var Is=u(S);ut=o(Is,"A",{id:!0,class:!0,href:!0});var Fh=u(ut);ul=o(Fh,"SPAN",{});var gh=u(ul);c(Be.$$.fragment,gh),gh.forEach(e),Fh.forEach(e),xn=i(Is),ka=o(Is,"SPAN",{"data-svelte-h":!0}),n(ka)!=="svelte-1avxjy9"&&(ka.innerHTML=Ou),Is.forEach(e),wd=i(t),Je=o(t,"P",{"data-svelte-h":!0}),n(Je)!=="svelte-1upf1p8"&&(Je.textContent=Ku),Hd=i(t),Ze=o(t,"P",{"data-svelte-h":!0}),n(Ze)!=="svelte-12df40n"&&(Ze.innerHTML=Iu),$d=i(t),Ge=o(t,"TABLE",{"data-svelte-h":!0}),n(Ge)!=="svelte-19ynn29"&&(Ge.innerHTML=Bu),Ld=i(t),Md=o(t,"HR",{}),Cd=i(t),Qe=o(t,"A",{id:!0,class:!0}),u(Qe).forEach(e),Fd=i(t),R=o(t,"H3",{class:!0});var Bs=u(R);ft=o(Bs,"A",{id:!0,class:!0,href:!0});var Eh=u(ft);fl=o(Eh,"SPAN",{});var Ph=u(fl);c(Ve.$$.fragment,Ph),Ph.forEach(e),Eh.forEach(e),An=i(Bs),Sa=o(Bs,"SPAN",{"data-svelte-h":!0}),n(Sa)!=="svelte-1n3iucz"&&(Sa.innerHTML=Ju),Bs.forEach(e),gd=i(t),We=o(t,"P",{"data-svelte-h":!0}),n(We)!=="svelte-8fqhv2"&&(We.textContent=Zu),Ed=i(t),Xe=o(t,"P",{"data-svelte-h":!0}),n(Xe)!=="svelte-12df40n"&&(Xe.innerHTML=Gu),Pd=i(t),Ye=o(t,"TABLE",{"data-svelte-h":!0}),n(Ye)!=="svelte-x70c2w"&&(Ye.innerHTML=Qu),kd=i(t),Sd=o(t,"HR",{}),Rd=i(t),tr=o(t,"A",{id:!0,class:!0}),u(tr).forEach(e),Nd=i(t),N=o(t,"H2",{class:!0});var Js=u(N);ht=o(Js,"A",{id:!0,class:!0,href:!0});var kh=u(ht);hl=o(kh,"SPAN",{});var Sh=u(hl);c(er.$$.fragment,Sh),Sh.forEach(e),kh.forEach(e),wn=i(Js),Ra=o(Js,"SPAN",{"data-svelte-h":!0}),n(Ra)!=="svelte-1i2s49c"&&(Ra.innerHTML=Vu),Js.forEach(e),zd=i(t),rr=o(t,"P",{"data-svelte-h":!0}),n(rr)!=="svelte-z8esp"&&(rr.innerHTML=Wu),Dd=i(t),ar=o(t,"TABLE",{"data-svelte-h":!0}),n(ar)!=="svelte-13raiaj"&&(ar.innerHTML=Xu),jd=i(t),qd=o(t,"HR",{}),Ud=i(t),lr=o(t,"A",{id:!0,class:!0}),u(lr).forEach(e),Od=i(t),z=o(t,"H2",{class:!0});var Zs=u(z);ct=o(Zs,"A",{id:!0,class:!0,href:!0});var Rh=u(ct);cl=o(Rh,"SPAN",{});var Nh=u(cl);c(or.$$.fragment,Nh),Nh.forEach(e),Rh.forEach(e),Hn=i(Zs),Na=o(Zs,"SPAN",{"data-svelte-h":!0}),n(Na)!=="svelte-169scqw"&&(Na.innerHTML=Yu),Zs.forEach(e),Kd=i(t),dr=o(t,"P",{"data-svelte-h":!0}),n(dr)!=="svelte-69x642"&&(dr.innerHTML=tf),Id=i(t),ir=o(t,"P",{"data-svelte-h":!0}),n(ir)!=="svelte-1t49mrp"&&(ir.innerHTML=ef),Bd=i(t),sr=o(t,"TABLE",{"data-svelte-h":!0}),n(sr)!=="svelte-18fxup5"&&(sr.innerHTML=rf),Jd=i(t),Zd=o(t,"HR",{}),Gd=i(t),nr=o(t,"A",{id:!0,class:!0}),u(nr).forEach(e),Qd=i(t),D=o(t,"H2",{class:!0});var Gs=u(D);mt=o(Gs,"A",{id:!0,class:!0,href:!0});var zh=u(mt);ml=o(zh,"SPAN",{});var Dh=u(ml);c(ur.$$.fragment,Dh),Dh.forEach(e),zh.forEach(e),$n=i(Gs),za=o(Gs,"SPAN",{"data-svelte-h":!0}),n(za)!=="svelte-1j7o915"&&(za.innerHTML=af),Gs.forEach(e),Vd=i(t),fr=o(t,"P",{"data-svelte-h":!0}),n(fr)!=="svelte-1liv70i"&&(fr.textContent=lf),Wd=i(t),hr=o(t,"P",{"data-svelte-h":!0}),n(hr)!=="svelte-18dx4t8"&&(hr.innerHTML=of),Xd=i(t),cr=o(t,"TABLE",{"data-svelte-h":!0}),n(cr)!=="svelte-5w3h5g"&&(cr.innerHTML=df),Yd=i(t),ti=o(t,"HR",{}),ei=i(t),mr=o(t,"A",{id:!0,class:!0}),u(mr).forEach(e),ri=i(t),j=o(t,"H2",{class:!0});var Qs=u(j);pt=o(Qs,"A",{id:!0,class:!0,href:!0});var jh=u(pt);pl=o(jh,"SPAN",{});var qh=u(pl);c(pr.$$.fragment,qh),qh.forEach(e),jh.forEach(e),Ln=i(Qs),Da=o(Qs,"SPAN",{"data-svelte-h":!0}),n(Da)!=="svelte-13asq0j"&&(Da.innerHTML=sf),Qs.forEach(e),ai=i(t),vr=o(t,"P",{"data-svelte-h":!0}),n(vr)!=="svelte-5479oq"&&(vr.textContent=nf),li=i(t),yr=o(t,"P",{"data-svelte-h":!0}),n(yr)!=="svelte-qwp7fz"&&(yr.innerHTML=uf),oi=i(t),Tr=o(t,"TABLE",{"data-svelte-h":!0}),n(Tr)!=="svelte-1482umh"&&(Tr.innerHTML=ff),di=i(t),ii=o(t,"HR",{}),si=i(t),_r=o(t,"A",{id:!0,class:!0}),u(_r).forEach(e),ni=i(t),q=o(t,"H2",{class:!0});var Vs=u(q);vt=o(Vs,"A",{id:!0,class:!0,href:!0});var Uh=u(vt);vl=o(Uh,"SPAN",{});var Oh=u(vl);c(br.$$.fragment,Oh),Oh.forEach(e),Uh.forEach(e),Mn=i(Vs),ja=o(Vs,"SPAN",{"data-svelte-h":!0}),n(ja)!=="svelte-1c4airo"&&(ja.innerHTML=hf),Vs.forEach(e),ui=i(t),xr=o(t,"P",{"data-svelte-h":!0}),n(xr)!=="svelte-1kaf4lx"&&(xr.textContent=cf),fi=i(t),Ar=o(t,"P",{"data-svelte-h":!0}),n(Ar)!=="svelte-gudhvq"&&(Ar.innerHTML=mf),hi=i(t),wr=o(t,"TABLE",{"data-svelte-h":!0}),n(wr)!=="svelte-nyqk4k"&&(wr.innerHTML=pf),ci=i(t),mi=o(t,"HR",{}),pi=i(t),Hr=o(t,"A",{id:!0,class:!0}),u(Hr).forEach(e),vi=i(t),U=o(t,"H2",{class:!0});var Ws=u(U);yt=o(Ws,"A",{id:!0,class:!0,href:!0});var Kh=u(yt);yl=o(Kh,"SPAN",{});var Ih=u(yl);c($r.$$.fragment,Ih),Ih.forEach(e),Kh.forEach(e),Cn=i(Ws),qa=o(Ws,"SPAN",{"data-svelte-h":!0}),n(qa)!=="svelte-14zhje2"&&(qa.innerHTML=vf),Ws.forEach(e),yi=i(t),Lr=o(t,"P",{"data-svelte-h":!0}),n(Lr)!=="svelte-s7mgi8"&&(Lr.textContent=yf),Ti=i(t),Mr=o(t,"P",{"data-svelte-h":!0}),n(Mr)!=="svelte-u4yvnz"&&(Mr.innerHTML=Tf),_i=i(t),Cr=o(t,"TABLE",{"data-svelte-h":!0}),n(Cr)!=="svelte-pqgsee"&&(Cr.innerHTML=_f),bi=i(t),xi=o(t,"HR",{}),Ai=i(t),Fr=o(t,"A",{id:!0,class:!0}),u(Fr).forEach(e),wi=i(t),O=o(t,"H2",{class:!0});var Xs=u(O);Tt=o(Xs,"A",{id:!0,class:!0,href:!0});var Bh=u(Tt);Tl=o(Bh,"SPAN",{});var Jh=u(Tl);c(gr.$$.fragment,Jh),Jh.forEach(e),Bh.forEach(e),Fn=i(Xs),Ua=o(Xs,"SPAN",{"data-svelte-h":!0}),n(Ua)!=="svelte-d4w23k"&&(Ua.innerHTML=bf),Xs.forEach(e),Hi=i(t),Er=o(t,"P",{"data-svelte-h":!0}),n(Er)!=="svelte-6quqqj"&&(Er.textContent=xf),$i=i(t),Pr=o(t,"P",{"data-svelte-h":!0}),n(Pr)!=="svelte-1y45k06"&&(Pr.innerHTML=Af),Li=i(t),kr=o(t,"TABLE",{"data-svelte-h":!0}),n(kr)!=="svelte-nyqk4k"&&(kr.innerHTML=wf),Mi=i(t),Ci=o(t,"HR",{}),Fi=i(t),Sr=o(t,"A",{id:!0,class:!0}),u(Sr).forEach(e),gi=i(t),K=o(t,"H2",{class:!0});var Ys=u(K);_t=o(Ys,"A",{id:!0,class:!0,href:!0});var Zh=u(_t);_l=o(Zh,"SPAN",{});var Gh=u(_l);c(Rr.$$.fragment,Gh),Gh.forEach(e),Zh.forEach(e),gn=i(Ys),Oa=o(Ys,"SPAN",{"data-svelte-h":!0}),n(Oa)!=="svelte-1j20wq9"&&(Oa.innerHTML=Hf),Ys.forEach(e),Ei=i(t),Nr=o(t,"P",{"data-svelte-h":!0}),n(Nr)!=="svelte-132v21g"&&(Nr.textContent=$f),Pi=i(t),zr=o(t,"P",{"data-svelte-h":!0}),n(zr)!=="svelte-odriss"&&(zr.innerHTML=Lf),ki=i(t),Dr=o(t,"TABLE",{"data-svelte-h":!0}),n(Dr)!=="svelte-nbo00i"&&(Dr.innerHTML=Mf),Si=i(t),Ri=o(t,"HR",{}),Ni=i(t),jr=o(t,"A",{id:!0,class:!0}),u(jr).forEach(e),zi=i(t),I=o(t,"H2",{class:!0});var tn=u(I);bt=o(tn,"A",{id:!0,class:!0,href:!0});var Qh=u(bt);bl=o(Qh,"SPAN",{});var Vh=u(bl);c(qr.$$.fragment,Vh),Vh.forEach(e),Qh.forEach(e),En=i(tn),Ka=o(tn,"SPAN",{"data-svelte-h":!0}),n(Ka)!=="svelte-1nd153"&&(Ka.innerHTML=Cf),tn.forEach(e),Di=i(t),Ur=o(t,"P",{"data-svelte-h":!0}),n(Ur)!=="svelte-67h0u1"&&(Ur.textContent=Ff),ji=i(t),Or=o(t,"P",{"data-svelte-h":!0}),n(Or)!=="svelte-y3y2es"&&(Or.innerHTML=gf),qi=i(t),Kr=o(t,"UL",{"data-svelte-h":!0}),n(Kr)!=="svelte-jusv8t"&&(Kr.innerHTML=Ef),Ui=i(t),Ir=o(t,"TABLE",{"data-svelte-h":!0}),n(Ir)!=="svelte-1lz1juf"&&(Ir.innerHTML=Pf),Oi=i(t),Ki=o(t,"HR",{}),Ii=i(t),Br=o(t,"A",{id:!0,class:!0}),u(Br).forEach(e),Bi=i(t),B=o(t,"H2",{class:!0});var en=u(B);xt=o(en,"A",{id:!0,class:!0,href:!0});var Wh=u(xt);xl=o(Wh,"SPAN",{});var Xh=u(xl);c(Jr.$$.fragment,Xh),Xh.forEach(e),Wh.forEach(e),Pn=i(en),Ia=o(en,"SPAN",{"data-svelte-h":!0}),n(Ia)!=="svelte-508ue5"&&(Ia.innerHTML=kf),en.forEach(e),Ji=i(t),Zr=o(t,"P",{"data-svelte-h":!0}),n(Zr)!=="svelte-9vv4b"&&(Zr.textContent=Sf),Zi=i(t),Gr=o(t,"P",{"data-svelte-h":!0}),n(Gr)!=="svelte-r5et8a"&&(Gr.innerHTML=Rf),Gi=i(t),Qr=o(t,"UL",{"data-svelte-h":!0}),n(Qr)!=="svelte-jusv8t"&&(Qr.innerHTML=Nf),Qi=i(t),Vr=o(t,"TABLE",{"data-svelte-h":!0}),n(Vr)!=="svelte-1lz1juf"&&(Vr.innerHTML=zf),Vi=i(t),Wi=o(t,"HR",{}),Xi=i(t),Wr=o(t,"A",{id:!0,class:!0}),u(Wr).forEach(e),Yi=i(t),J=o(t,"H2",{class:!0});var rn=u(J);At=o(rn,"A",{id:!0,class:!0,href:!0});var Yh=u(At);Al=o(Yh,"SPAN",{});var tc=u(Al);c(Xr.$$.fragment,tc),tc.forEach(e),Yh.forEach(e),kn=i(rn),Ba=o(rn,"SPAN",{"data-svelte-h":!0}),n(Ba)!=="svelte-109oei4"&&(Ba.innerHTML=Df),rn.forEach(e),ts=i(t),Yr=o(t,"P",{"data-svelte-h":!0}),n(Yr)!=="svelte-8fws3u"&&(Yr.textContent=jf),es=i(t),ta=o(t,"P",{"data-svelte-h":!0}),n(ta)!=="svelte-8awj2f"&&(ta.innerHTML=qf),rs=i(t),ea=o(t,"P",{"data-svelte-h":!0}),n(ea)!=="svelte-1mkfcsr"&&(ea.innerHTML=Uf),as=i(t),ra=o(t,"UL",{"data-svelte-h":!0}),n(ra)!=="svelte-1i3knpp"&&(ra.innerHTML=Of),ls=i(t),aa=o(t,"TABLE",{"data-svelte-h":!0}),n(aa)!=="svelte-166ukyk"&&(aa.innerHTML=Kf),os=i(t),la=o(t,"P",{"data-svelte-h":!0}),n(la)!=="svelte-1aswmub"&&(la.innerHTML=If),ds=i(t),c(oa.$$.fragment,t),is=i(t),ss=o(t,"HR",{}),ns=i(t),da=o(t,"A",{id:!0,class:!0}),u(da).forEach(e),us=i(t),Z=o(t,"H2",{class:!0});var an=u(Z);wt=o(an,"A",{id:!0,class:!0,href:!0});var ec=u(wt);wl=o(ec,"SPAN",{});var rc=u(wl);c(ia.$$.fragment,rc),rc.forEach(e),ec.forEach(e),Sn=i(an),Ja=o(an,"SPAN",{"data-svelte-h":!0}),n(Ja)!=="svelte-jkyn1t"&&(Ja.innerHTML=Bf),an.forEach(e),fs=i(t),sa=o(t,"P",{"data-svelte-h":!0}),n(sa)!=="svelte-xb1vdd"&&(sa.textContent=Jf),hs=i(t),na=o(t,"P",{"data-svelte-h":!0}),n(na)!=="svelte-z8esp"&&(na.innerHTML=Zf),cs=i(t),ua=o(t,"TABLE",{"data-svelte-h":!0}),n(ua)!=="svelte-pk7ooi"&&(ua.innerHTML=Gf),ms=i(t),ps=o(t,"HR",{}),vs=i(t),fa=o(t,"A",{id:!0,class:!0}),u(fa).forEach(e),ys=i(t),G=o(t,"H2",{class:!0});var ln=u(G);Ht=o(ln,"A",{id:!0,class:!0,href:!0});var ac=u(Ht);Hl=o(ac,"SPAN",{});var lc=u(Hl);c(ha.$$.fragment,lc),lc.forEach(e),ac.forEach(e),Rn=i(ln),Za=o(ln,"SPAN",{"data-svelte-h":!0}),n(Za)!=="svelte-1fpllrg"&&(Za.innerHTML=Qf),ln.forEach(e),Ts=i(t),ca=o(t,"P",{"data-svelte-h":!0}),n(ca)!=="svelte-11aka64"&&(ca.textContent=Vf),_s=i(t),ma=o(t,"P",{"data-svelte-h":!0}),n(ma)!=="svelte-jttckh"&&(ma.innerHTML=Wf),bs=i(t),pa=o(t,"TABLE",{"data-svelte-h":!0}),n(pa)!=="svelte-c6gnt1"&&(pa.innerHTML=Xf),xs=i(t),As=o(t,"HR",{}),ws=i(t),va=o(t,"A",{id:!0,class:!0}),u(va).forEach(e),Hs=i(t),Q=o(t,"H2",{class:!0});var on=u(Q);$t=o(on,"A",{id:!0,class:!0,href:!0});var oc=u($t);$l=o(oc,"SPAN",{});var dc=u($l);c(ya.$$.fragment,dc),dc.forEach(e),oc.forEach(e),Nn=i(on),Ga=o(on,"SPAN",{"data-svelte-h":!0}),n(Ga)!=="svelte-9m4aia"&&(Ga.innerHTML=Yf),on.forEach(e),$s=i(t),Ta=o(t,"P",{"data-svelte-h":!0}),n(Ta)!=="svelte-9rr3v5"&&(Ta.innerHTML=th),Ls=i(t),Ms=o(t,"HR",{}),Cs=i(t),Ll=o(t,"P",{}),u(Ll).forEach(e),this.h()},h(){s(_,"name","hf:doc:metadata"),s(_,"content",JSON.stringify(pc)),s(Lt,"id","module_utils/maths"),s(Lt,"class","group"),s(V,"id","utilsmaths"),s(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(V,"href","#utilsmaths"),s(b,"class","relative group"),s(Et,"id","module_utils/maths.FFT"),s(Et,"class","group"),s(W,"id","utilsmathsfft"),s(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(W,"href","#utilsmathsfft"),s(x,"class","relative group"),s(Nt,"id","new_module_utils/maths.FFT_new"),s(Nt,"class","group"),s(X,"id","new-fftsize"),s(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(X,"href","#new-fftsize"),s(A,"class","relative group"),s(Ut,"id","module_utils/maths.FFT+createComplexArray"),s(Ut,"class","group"),s(Y,"id","fftcreatecomplexarray-codefloat32arraycode"),s(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Y,"href","#fftcreatecomplexarray-codefloat32arraycode"),s(w,"class","relative group"),s(Bt,"id","module_utils/maths.FFT+fromComplexArray"),s(Bt,"class","group"),s(tt,"id","fftfromcomplexarraycomplex-storage-codearrayampltnumberampgtcode"),s(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(tt,"href","#fftfromcomplexarraycomplex-storage-codearrayampltnumberampgtcode"),s(H,"class","relative group"),s(Vt,"id","module_utils/maths.FFT+toComplexArray"),s(Vt,"class","group"),s(et,"id","ffttocomplexarrayinput-storage-codefloat32arraycode"),s(et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(et,"href","#ffttocomplexarrayinput-storage-codefloat32arraycode"),s($,"class","relative group"),s(ee,"id","module_utils/maths.FFT+completeSpectrum"),s(ee,"class","group"),s(rt,"id","fftcompletespectrumspectrum-codevoidcode"),s(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(rt,"href","#fftcompletespectrumspectrum-codevoidcode"),s(L,"class","relative group"),s(de,"id","module_utils/maths.FFT+transform"),s(de,"class","group"),s(at,"id","ffttransformout-data-codevoidcode"),s(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(at,"href","#ffttransformout-data-codevoidcode"),s(M,"class","relative group"),s(he,"id","module_utils/maths.FFT+realTransform"),s(he,"class","group"),s(lt,"id","fftrealtransformout-data"),s(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(lt,"href","#fftrealtransformout-data"),s(C,"class","relative group"),s(Te,"id","module_utils/maths.FFT+inverseTransform"),s(Te,"class","group"),s(ot,"id","fftinversetransformout-data-codevoidcode"),s(ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ot,"href","#fftinversetransformout-data-codevoidcode"),s(F,"class","relative group"),s(He,"id","module_utils/maths.FFT+_transform4"),s(He,"class","group"),s(dt,"id","ffttransform4out-data-inv-codevoidcode"),s(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(dt,"href","#ffttransform4out-data-inv-codevoidcode"),s(g,"class","relative group"),s(Fe,"id","module_utils/maths.FFT+_singleTransform2"),s(Fe,"class","group"),s(it,"id","fftsingletransform2data-out-outoff-off-step-codevoidcode"),s(it,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(it,"href","#fftsingletransform2data-out-outoff-off-step-codevoidcode"),s(E,"class","relative group"),s(Se,"id","module_utils/maths.FFT+_singleTransform4"),s(Se,"class","group"),s(st,"id","fftsingletransform4data-out-outoff-off-step-inv-codevoidcode"),s(st,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(st,"href","#fftsingletransform4data-out-outoff-off-step-inv-codevoidcode"),s(P,"class","relative group"),s(je,"id","module_utils/maths.FFT+_realTransform4"),s(je,"class","group"),s(nt,"id","fftrealtransform4out-data-inv"),s(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(nt,"href","#fftrealtransform4out-data-inv"),s(k,"class","relative group"),s(Ie,"id","module_utils/maths.FFT+_singleRealTransform2"),s(Ie,"class","group"),s(ut,"id","fftsinglerealtransform2data-out-outoff-off-step-codevoidcode"),s(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ut,"href","#fftsinglerealtransform2data-out-outoff-off-step-codevoidcode"),s(S,"class","relative group"),s(Qe,"id","module_utils/maths.FFT+_singleRealTransform4"),s(Qe,"class","group"),s(ft,"id","fftsinglerealtransform4data-out-outoff-off-step-inv"),s(ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ft,"href","#fftsinglerealtransform4data-out-outoff-off-step-inv"),s(R,"class","relative group"),s(tr,"id","module_utils/maths.interpolate_data"),s(tr,"class","group"),s(ht,"id","utilsmathsinterpolatedatainput"),s(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ht,"href","#utilsmathsinterpolatedatainput"),s(N,"class","relative group"),s(lr,"id","module_utils/maths.transpose_data"),s(lr,"class","group"),s(ct,"id","utilsmathstransposedataarray-dims-axes-codecode"),s(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ct,"href","#utilsmathstransposedataarray-dims-axes-codecode"),s(z,"class","relative group"),s(nr,"id","module_utils/maths.softmax"),s(nr,"class","group"),s(mt,"id","utilsmathssoftmaxarr-codearrayampltnumberampgtcode"),s(mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(mt,"href","#utilsmathssoftmaxarr-codearrayampltnumberampgtcode"),s(D,"class","relative group"),s(mr,"id","module_utils/maths.log_softmax"),s(mr,"class","group"),s(pt,"id","utilsmathslogsoftmaxarr-codeanycode"),s(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(pt,"href","#utilsmathslogsoftmaxarr-codeanycode"),s(j,"class","relative group"),s(_r,"id","module_utils/maths.dot"),s(_r,"class","group"),s(vt,"id","utilsmathsdotarr1-arr2-codenumbercode"),s(vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(vt,"href","#utilsmathsdotarr1-arr2-codenumbercode"),s(q,"class","relative group"),s(Hr,"id","module_utils/maths.getTopItems"),s(Hr,"class","group"),s(yt,"id","utilsmathsgettopitemsitems-topk-codearraycode"),s(yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(yt,"href","#utilsmathsgettopitemsitems-topk-codearraycode"),s(U,"class","relative group"),s(Fr,"id","module_utils/maths.cos_sim"),s(Fr,"class","group"),s(Tt,"id","utilsmathscossimarr1-arr2-codenumbercode"),s(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Tt,"href","#utilsmathscossimarr1-arr2-codenumbercode"),s(O,"class","relative group"),s(Sr,"id","module_utils/maths.magnitude"),s(Sr,"class","group"),s(_t,"id","utilsmathsmagnitudearr-codenumbercode"),s(_t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(_t,"href","#utilsmathsmagnitudearr-codenumbercode"),s(K,"class","relative group"),s(jr,"id","module_utils/maths.min"),s(jr,"class","group"),s(bt,"id","utilsmathsminarr-codearrayampltnumberampgtcode"),s(bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(bt,"href","#utilsmathsminarr-codearrayampltnumberampgtcode"),s(I,"class","relative group"),s(Br,"id","module_utils/maths.max"),s(Br,"class","group"),s(xt,"id","utilsmathsmaxarr-codearrayampltnumberampgtcode"),s(xt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(xt,"href","#utilsmathsmaxarr-codearrayampltnumberampgtcode"),s(B,"class","relative group"),s(Wr,"id","module_utils/maths.rfftfreq"),s(Wr,"class","group"),s(At,"id","utilsmathsrfftfreqn-d-codearrayampltnumberampgtcode"),s(At,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(At,"href","#utilsmathsrfftfreqn-d-codearrayampltnumberampgtcode"),s(J,"class","relative group"),s(da,"id","module_utils/maths.medianFilter"),s(da,"class","group"),s(wt,"id","utilsmathsmedianfilterdata-windowsize"),s(wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(wt,"href","#utilsmathsmedianfilterdata-windowsize"),s(Z,"class","relative group"),s(fa,"id","module_utils/maths.round"),s(fa,"class","group"),s(Ht,"id","utilsmathsroundnum-decimals-codenumbercode"),s(Ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Ht,"href","#utilsmathsroundnum-decimals-codenumbercode"),s(G,"class","relative group"),s(va,"id","module_utils/maths..AnyTypedArray"),s(va,"class","group"),s($t,"id","utilsmathsanytypedarray-codeint8arraycode-codeuint8arraycode-codeuint8clampedarraycode-codeint16arraycode-codeuint16arraycode-codeint32arraycode-codeuint32arraycode-codefloat32arraycode-codefloat64arraycode"),s($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s($t,"href","#utilsmathsanytypedarray-codeint8arraycode-codeuint8arraycode-codeuint8clampedarraycode-codeint16arraycode-codeuint16arraycode-codeint32arraycode-codeuint32arraycode-codefloat32arraycode-codefloat64arraycode"),s(Q,"class","relative group")},m(t,r){f(document.head,_),a(t,Ml,r),a(t,Qa,r),a(t,Cl,r),a(t,Lt,r),a(t,Fl,r),a(t,b,r),f(b,V),f(V,Va),m(Mt,Va,null),f(b,dn),f(b,_a),a(t,gl,r),a(t,Ct,r),a(t,El,r),a(t,Ft,r),a(t,Pl,r),a(t,gt,r),a(t,kl,r),a(t,Sl,r),a(t,Rl,r),a(t,Et,r),a(t,Nl,r),a(t,x,r),f(x,W),f(W,Wa),m(Pt,Wa,null),f(x,sn),f(x,ba),a(t,zl,r),a(t,kt,r),a(t,Dl,r),a(t,St,r),a(t,jl,r),a(t,Rt,r),a(t,ql,r),a(t,Ul,r),a(t,Ol,r),a(t,Nt,r),a(t,Kl,r),a(t,A,r),f(A,X),f(X,Xa),m(zt,Xa,null),f(A,nn),f(A,xa),a(t,Il,r),a(t,Dt,r),a(t,Bl,r),a(t,jt,r),a(t,Jl,r),a(t,qt,r),a(t,Zl,r),a(t,Gl,r),a(t,Ql,r),a(t,Ut,r),a(t,Vl,r),a(t,w,r),f(w,Y),f(Y,Ya),m(Ot,Ya,null),f(w,un),f(w,Aa),a(t,Wl,r),a(t,Kt,r),a(t,Xl,r),a(t,It,r),a(t,Yl,r),a(t,to,r),a(t,eo,r),a(t,Bt,r),a(t,ro,r),a(t,H,r),f(H,tt),f(tt,tl),m(Jt,tl,null),f(H,fn),f(H,wa),a(t,ao,r),a(t,Zt,r),a(t,lo,r),a(t,Gt,r),a(t,oo,r),a(t,Qt,r),a(t,io,r),a(t,so,r),a(t,no,r),a(t,Vt,r),a(t,uo,r),a(t,$,r),f($,et),f(et,el),m(Wt,el,null),f($,hn),f($,Ha),a(t,fo,r),a(t,Xt,r),a(t,ho,r),a(t,Yt,r),a(t,co,r),a(t,te,r),a(t,mo,r),a(t,po,r),a(t,vo,r),a(t,ee,r),a(t,yo,r),a(t,L,r),f(L,rt),f(rt,rl),m(re,rl,null),f(L,cn),f(L,$a),a(t,To,r),a(t,ae,r),a(t,_o,r),a(t,le,r),a(t,bo,r),a(t,oe,r),a(t,xo,r),a(t,Ao,r),a(t,wo,r),a(t,de,r),a(t,Ho,r),a(t,M,r),f(M,at),f(at,al),m(ie,al,null),f(M,mn),f(M,La),a(t,$o,r),a(t,se,r),a(t,Lo,r),a(t,ne,r),a(t,Mo,r),a(t,ue,r),a(t,Co,r),a(t,fe,r),a(t,Fo,r),a(t,go,r),a(t,Eo,r),a(t,he,r),a(t,Po,r),a(t,C,r),f(C,lt),f(lt,ll),m(ce,ll,null),f(C,pn),f(C,Ma),a(t,ko,r),a(t,me,r),a(t,So,r),a(t,pe,r),a(t,Ro,r),a(t,ve,r),a(t,No,r),a(t,ye,r),a(t,zo,r),a(t,Do,r),a(t,jo,r),a(t,Te,r),a(t,qo,r),a(t,F,r),f(F,ot),f(ot,ol),m(_e,ol,null),f(F,vn),f(F,Ca),a(t,Uo,r),a(t,be,r),a(t,Oo,r),a(t,xe,r),a(t,Ko,r),a(t,Ae,r),a(t,Io,r),a(t,we,r),a(t,Bo,r),a(t,Jo,r),a(t,Zo,r),a(t,He,r),a(t,Go,r),a(t,g,r),f(g,dt),f(dt,dl),m($e,dl,null),f(g,yn),f(g,Fa),a(t,Qo,r),a(t,Le,r),a(t,Vo,r),a(t,Me,r),a(t,Wo,r),a(t,Ce,r),a(t,Xo,r),a(t,Yo,r),a(t,td,r),a(t,Fe,r),a(t,ed,r),a(t,E,r),f(E,it),f(it,il),m(ge,il,null),f(E,Tn),f(E,ga),a(t,rd,r),a(t,Ee,r),a(t,ad,r),a(t,Pe,r),a(t,ld,r),a(t,ke,r),a(t,od,r),a(t,dd,r),a(t,id,r),a(t,Se,r),a(t,sd,r),a(t,P,r),f(P,st),f(st,sl),m(Re,sl,null),f(P,_n),f(P,Ea),a(t,nd,r),a(t,Ne,r),a(t,ud,r),a(t,ze,r),a(t,fd,r),a(t,De,r),a(t,hd,r),a(t,cd,r),a(t,md,r),a(t,je,r),a(t,pd,r),a(t,k,r),f(k,nt),f(nt,nl),m(qe,nl,null),f(k,bn),f(k,Pa),a(t,vd,r),a(t,Ue,r),a(t,yd,r),a(t,Oe,r),a(t,Td,r),a(t,Ke,r),a(t,_d,r),a(t,bd,r),a(t,xd,r),a(t,Ie,r),a(t,Ad,r),a(t,S,r),f(S,ut),f(ut,ul),m(Be,ul,null),f(S,xn),f(S,ka),a(t,wd,r),a(t,Je,r),a(t,Hd,r),a(t,Ze,r),a(t,$d,r),a(t,Ge,r),a(t,Ld,r),a(t,Md,r),a(t,Cd,r),a(t,Qe,r),a(t,Fd,r),a(t,R,r),f(R,ft),f(ft,fl),m(Ve,fl,null),f(R,An),f(R,Sa),a(t,gd,r),a(t,We,r),a(t,Ed,r),a(t,Xe,r),a(t,Pd,r),a(t,Ye,r),a(t,kd,r),a(t,Sd,r),a(t,Rd,r),a(t,tr,r),a(t,Nd,r),a(t,N,r),f(N,ht),f(ht,hl),m(er,hl,null),f(N,wn),f(N,Ra),a(t,zd,r),a(t,rr,r),a(t,Dd,r),a(t,ar,r),a(t,jd,r),a(t,qd,r),a(t,Ud,r),a(t,lr,r),a(t,Od,r),a(t,z,r),f(z,ct),f(ct,cl),m(or,cl,null),f(z,Hn),f(z,Na),a(t,Kd,r),a(t,dr,r),a(t,Id,r),a(t,ir,r),a(t,Bd,r),a(t,sr,r),a(t,Jd,r),a(t,Zd,r),a(t,Gd,r),a(t,nr,r),a(t,Qd,r),a(t,D,r),f(D,mt),f(mt,ml),m(ur,ml,null),f(D,$n),f(D,za),a(t,Vd,r),a(t,fr,r),a(t,Wd,r),a(t,hr,r),a(t,Xd,r),a(t,cr,r),a(t,Yd,r),a(t,ti,r),a(t,ei,r),a(t,mr,r),a(t,ri,r),a(t,j,r),f(j,pt),f(pt,pl),m(pr,pl,null),f(j,Ln),f(j,Da),a(t,ai,r),a(t,vr,r),a(t,li,r),a(t,yr,r),a(t,oi,r),a(t,Tr,r),a(t,di,r),a(t,ii,r),a(t,si,r),a(t,_r,r),a(t,ni,r),a(t,q,r),f(q,vt),f(vt,vl),m(br,vl,null),f(q,Mn),f(q,ja),a(t,ui,r),a(t,xr,r),a(t,fi,r),a(t,Ar,r),a(t,hi,r),a(t,wr,r),a(t,ci,r),a(t,mi,r),a(t,pi,r),a(t,Hr,r),a(t,vi,r),a(t,U,r),f(U,yt),f(yt,yl),m($r,yl,null),f(U,Cn),f(U,qa),a(t,yi,r),a(t,Lr,r),a(t,Ti,r),a(t,Mr,r),a(t,_i,r),a(t,Cr,r),a(t,bi,r),a(t,xi,r),a(t,Ai,r),a(t,Fr,r),a(t,wi,r),a(t,O,r),f(O,Tt),f(Tt,Tl),m(gr,Tl,null),f(O,Fn),f(O,Ua),a(t,Hi,r),a(t,Er,r),a(t,$i,r),a(t,Pr,r),a(t,Li,r),a(t,kr,r),a(t,Mi,r),a(t,Ci,r),a(t,Fi,r),a(t,Sr,r),a(t,gi,r),a(t,K,r),f(K,_t),f(_t,_l),m(Rr,_l,null),f(K,gn),f(K,Oa),a(t,Ei,r),a(t,Nr,r),a(t,Pi,r),a(t,zr,r),a(t,ki,r),a(t,Dr,r),a(t,Si,r),a(t,Ri,r),a(t,Ni,r),a(t,jr,r),a(t,zi,r),a(t,I,r),f(I,bt),f(bt,bl),m(qr,bl,null),f(I,En),f(I,Ka),a(t,Di,r),a(t,Ur,r),a(t,ji,r),a(t,Or,r),a(t,qi,r),a(t,Kr,r),a(t,Ui,r),a(t,Ir,r),a(t,Oi,r),a(t,Ki,r),a(t,Ii,r),a(t,Br,r),a(t,Bi,r),a(t,B,r),f(B,xt),f(xt,xl),m(Jr,xl,null),f(B,Pn),f(B,Ia),a(t,Ji,r),a(t,Zr,r),a(t,Zi,r),a(t,Gr,r),a(t,Gi,r),a(t,Qr,r),a(t,Qi,r),a(t,Vr,r),a(t,Vi,r),a(t,Wi,r),a(t,Xi,r),a(t,Wr,r),a(t,Yi,r),a(t,J,r),f(J,At),f(At,Al),m(Xr,Al,null),f(J,kn),f(J,Ba),a(t,ts,r),a(t,Yr,r),a(t,es,r),a(t,ta,r),a(t,rs,r),a(t,ea,r),a(t,as,r),a(t,ra,r),a(t,ls,r),a(t,aa,r),a(t,os,r),a(t,la,r),a(t,ds,r),m(oa,t,r),a(t,is,r),a(t,ss,r),a(t,ns,r),a(t,da,r),a(t,us,r),a(t,Z,r),f(Z,wt),f(wt,wl),m(ia,wl,null),f(Z,Sn),f(Z,Ja),a(t,fs,r),a(t,sa,r),a(t,hs,r),a(t,na,r),a(t,cs,r),a(t,ua,r),a(t,ms,r),a(t,ps,r),a(t,vs,r),a(t,fa,r),a(t,ys,r),a(t,G,r),f(G,Ht),f(Ht,Hl),m(ha,Hl,null),f(G,Rn),f(G,Za),a(t,Ts,r),a(t,ca,r),a(t,_s,r),a(t,ma,r),a(t,bs,r),a(t,pa,r),a(t,xs,r),a(t,As,r),a(t,ws,r),a(t,va,r),a(t,Hs,r),a(t,Q,r),f(Q,$t),f($t,$l),m(ya,$l,null),f(Q,Nn),f(Q,Ga),a(t,$s,r),a(t,Ta,r),a(t,Ls,r),a(t,Ms,r),a(t,Cs,r),a(t,Ll,r),Fs=!0},p:sc,i(t){Fs||(p(Mt.$$.fragment,t),p(Pt.$$.fragment,t),p(zt.$$.fragment,t),p(Ot.$$.fragment,t),p(Jt.$$.fragment,t),p(Wt.$$.fragment,t),p(re.$$.fragment,t),p(ie.$$.fragment,t),p(ce.$$.fragment,t),p(_e.$$.fragment,t),p($e.$$.fragment,t),p(ge.$$.fragment,t),p(Re.$$.fragment,t),p(qe.$$.fragment,t),p(Be.$$.fragment,t),p(Ve.$$.fragment,t),p(er.$$.fragment,t),p(or.$$.fragment,t),p(ur.$$.fragment,t),p(pr.$$.fragment,t),p(br.$$.fragment,t),p($r.$$.fragment,t),p(gr.$$.fragment,t),p(Rr.$$.fragment,t),p(qr.$$.fragment,t),p(Jr.$$.fragment,t),p(Xr.$$.fragment,t),p(oa.$$.fragment,t),p(ia.$$.fragment,t),p(ha.$$.fragment,t),p(ya.$$.fragment,t),Fs=!0)},o(t){v(Mt.$$.fragment,t),v(Pt.$$.fragment,t),v(zt.$$.fragment,t),v(Ot.$$.fragment,t),v(Jt.$$.fragment,t),v(Wt.$$.fragment,t),v(re.$$.fragment,t),v(ie.$$.fragment,t),v(ce.$$.fragment,t),v(_e.$$.fragment,t),v($e.$$.fragment,t),v(ge.$$.fragment,t),v(Re.$$.fragment,t),v(qe.$$.fragment,t),v(Be.$$.fragment,t),v(Ve.$$.fragment,t),v(er.$$.fragment,t),v(or.$$.fragment,t),v(ur.$$.fragment,t),v(pr.$$.fragment,t),v(br.$$.fragment,t),v($r.$$.fragment,t),v(gr.$$.fragment,t),v(Rr.$$.fragment,t),v(qr.$$.fragment,t),v(Jr.$$.fragment,t),v(Xr.$$.fragment,t),v(oa.$$.fragment,t),v(ia.$$.fragment,t),v(ha.$$.fragment,t),v(ya.$$.fragment,t),Fs=!1},d(t){t&&(e(Ml),e(Qa),e(Cl),e(Lt),e(Fl),e(b),e(gl),e(Ct),e(El),e(Ft),e(Pl),e(gt),e(kl),e(Sl),e(Rl),e(Et),e(Nl),e(x),e(zl),e(kt),e(Dl),e(St),e(jl),e(Rt),e(ql),e(Ul),e(Ol),e(Nt),e(Kl),e(A),e(Il),e(Dt),e(Bl),e(jt),e(Jl),e(qt),e(Zl),e(Gl),e(Ql),e(Ut),e(Vl),e(w),e(Wl),e(Kt),e(Xl),e(It),e(Yl),e(to),e(eo),e(Bt),e(ro),e(H),e(ao),e(Zt),e(lo),e(Gt),e(oo),e(Qt),e(io),e(so),e(no),e(Vt),e(uo),e($),e(fo),e(Xt),e(ho),e(Yt),e(co),e(te),e(mo),e(po),e(vo),e(ee),e(yo),e(L),e(To),e(ae),e(_o),e(le),e(bo),e(oe),e(xo),e(Ao),e(wo),e(de),e(Ho),e(M),e($o),e(se),e(Lo),e(ne),e(Mo),e(ue),e(Co),e(fe),e(Fo),e(go),e(Eo),e(he),e(Po),e(C),e(ko),e(me),e(So),e(pe),e(Ro),e(ve),e(No),e(ye),e(zo),e(Do),e(jo),e(Te),e(qo),e(F),e(Uo),e(be),e(Oo),e(xe),e(Ko),e(Ae),e(Io),e(we),e(Bo),e(Jo),e(Zo),e(He),e(Go),e(g),e(Qo),e(Le),e(Vo),e(Me),e(Wo),e(Ce),e(Xo),e(Yo),e(td),e(Fe),e(ed),e(E),e(rd),e(Ee),e(ad),e(Pe),e(ld),e(ke),e(od),e(dd),e(id),e(Se),e(sd),e(P),e(nd),e(Ne),e(ud),e(ze),e(fd),e(De),e(hd),e(cd),e(md),e(je),e(pd),e(k),e(vd),e(Ue),e(yd),e(Oe),e(Td),e(Ke),e(_d),e(bd),e(xd),e(Ie),e(Ad),e(S),e(wd),e(Je),e(Hd),e(Ze),e($d),e(Ge),e(Ld),e(Md),e(Cd),e(Qe),e(Fd),e(R),e(gd),e(We),e(Ed),e(Xe),e(Pd),e(Ye),e(kd),e(Sd),e(Rd),e(tr),e(Nd),e(N),e(zd),e(rr),e(Dd),e(ar),e(jd),e(qd),e(Ud),e(lr),e(Od),e(z),e(Kd),e(dr),e(Id),e(ir),e(Bd),e(sr),e(Jd),e(Zd),e(Gd),e(nr),e(Qd),e(D),e(Vd),e(fr),e(Wd),e(hr),e(Xd),e(cr),e(Yd),e(ti),e(ei),e(mr),e(ri),e(j),e(ai),e(vr),e(li),e(yr),e(oi),e(Tr),e(di),e(ii),e(si),e(_r),e(ni),e(q),e(ui),e(xr),e(fi),e(Ar),e(hi),e(wr),e(ci),e(mi),e(pi),e(Hr),e(vi),e(U),e(yi),e(Lr),e(Ti),e(Mr),e(_i),e(Cr),e(bi),e(xi),e(Ai),e(Fr),e(wi),e(O),e(Hi),e(Er),e($i),e(Pr),e(Li),e(kr),e(Mi),e(Ci),e(Fi),e(Sr),e(gi),e(K),e(Ei),e(Nr),e(Pi),e(zr),e(ki),e(Dr),e(Si),e(Ri),e(Ni),e(jr),e(zi),e(I),e(Di),e(Ur),e(ji),e(Or),e(qi),e(Kr),e(Ui),e(Ir),e(Oi),e(Ki),e(Ii),e(Br),e(Bi),e(B),e(Ji),e(Zr),e(Zi),e(Gr),e(Gi),e(Qr),e(Qi),e(Vr),e(Vi),e(Wi),e(Xi),e(Wr),e(Yi),e(J),e(ts),e(Yr),e(es),e(ta),e(rs),e(ea),e(as),e(ra),e(ls),e(aa),e(os),e(la),e(ds),e(is),e(ss),e(ns),e(da),e(us),e(Z),e(fs),e(sa),e(hs),e(na),e(cs),e(ua),e(ms),e(ps),e(vs),e(fa),e(ys),e(G),e(Ts),e(ca),e(_s),e(ma),e(bs),e(pa),e(xs),e(As),e(ws),e(va),e(Hs),e(Q),e($s),e(Ta),e(Ls),e(Ms),e(Cs),e(Ll)),e(_),y(Mt),y(Pt),y(zt),y(Ot),y(Jt),y(Wt),y(re),y(ie),y(ce),y(_e),y($e),y(ge),y(Re),y(qe),y(Be),y(Ve),y(er),y(or),y(ur),y(pr),y(br),y($r),y(gr),y(Rr),y(qr),y(Jr),y(Xr),y(oa,t),y(ia),y(ha),y(ya)}}}const pc={local:"utilsmaths",sections:[{local:"utilsmathsfft",sections:[{local:"new-fftsize",title:"`new FFT(size)`"},{local:"fftcreatecomplexarray-codefloat32arraycode",title:"`ffT.createComplexArray()` ⇒ <code>Float32Array</code>"},{local:"fftfromcomplexarraycomplex-storage-codearrayampltnumberampgtcode",title:"`ffT.fromComplexArray(complex, [storage])` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"ffttocomplexarrayinput-storage-codefloat32arraycode",title:"`ffT.toComplexArray(input, [storage])` ⇒ <code>Float32Array</code>"},{local:"fftcompletespectrumspectrum-codevoidcode",title:"`ffT.completeSpectrum(spectrum)` ⇒ <code>void</code>"},{local:"ffttransformout-data-codevoidcode",title:"`ffT.transform(out, data)` ⇒ <code>void</code>"},{local:"fftrealtransformout-data",title:"`ffT.realTransform(out, data)`"},{local:"fftinversetransformout-data-codevoidcode",title:"`ffT.inverseTransform(out, data)` ⇒ <code>void</code>"},{local:"ffttransform4out-data-inv-codevoidcode",title:"`ffT._transform4(out, data, inv)` ⇒ <code>void</code>"},{local:"fftsingletransform2data-out-outoff-off-step-codevoidcode",title:"`ffT._singleTransform2(data, out, outOff, off, step)` ⇒ <code>void</code>"},{local:"fftsingletransform4data-out-outoff-off-step-inv-codevoidcode",title:"`ffT._singleTransform4(data, out, outOff, off, step, inv)` ⇒ <code>void</code>"},{local:"fftrealtransform4out-data-inv",title:"`ffT._realTransform4(out, data, inv)`"},{local:"fftsinglerealtransform2data-out-outoff-off-step-codevoidcode",title:"`ffT._singleRealTransform2(data, out, outOff, off, step)` ⇒ <code>void</code>"},{local:"fftsinglerealtransform4data-out-outoff-off-step-inv",title:"`ffT._singleRealTransform4(data, out, outOff, off, step, inv)`"}],title:"utils/maths.FFT"},{local:"utilsmathsinterpolatedatainput",title:"`utils/maths.interpolate_data(input)`"},{local:"utilsmathstransposedataarray-dims-axes-codecode",title:"`utils/maths.transpose_data(array, dims, axes)` ⇒ <code>*</code>"},{local:"utilsmathssoftmaxarr-codearrayampltnumberampgtcode",title:"`utils/maths.softmax(arr)` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"utilsmathslogsoftmaxarr-codeanycode",title:"`utils/maths.log_softmax(arr)` ⇒ <code>any</code>"},{local:"utilsmathsdotarr1-arr2-codenumbercode",title:"`utils/maths.dot(arr1, arr2)` ⇒ <code>number</code>"},{local:"utilsmathsgettopitemsitems-topk-codearraycode",title:"`utils/maths.getTopItems(items, [top_k])` ⇒ <code>Array</code>"},{local:"utilsmathscossimarr1-arr2-codenumbercode",title:"`utils/maths.cos_sim(arr1, arr2)` ⇒ <code>number</code>"},{local:"utilsmathsmagnitudearr-codenumbercode",title:"`utils/maths.magnitude(arr)` ⇒ <code>number</code>"},{local:"utilsmathsminarr-codearrayampltnumberampgtcode",title:"`utils/maths.min(arr)` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"utilsmathsmaxarr-codearrayampltnumberampgtcode",title:"`utils/maths.max(arr)` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"utilsmathsrfftfreqn-d-codearrayampltnumberampgtcode",title:"`utils/maths.rfftfreq(n, [d])` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"utilsmathsmedianfilterdata-windowsize",title:"`utils/maths.medianFilter(data, windowSize)`"},{local:"utilsmathsroundnum-decimals-codenumbercode",title:"`utils/maths.round(num, decimals)` ⇒ <code>number</code>"},{local:"utilsmathsanytypedarray-codeint8arraycode-codeuint8arraycode-codeuint8clampedarraycode-codeint16arraycode-codeuint16arraycode-codeint32arraycode-codeuint32arraycode-codefloat32arraycode-codefloat64arraycode",title:"`utils/maths~AnyTypedArray` : <code>Int8Array</code> | <code>Uint8Array</code> | <code>Uint8ClampedArray</code> | <code>Int16Array</code> | <code>Uint16Array</code> | <code>Int32Array</code> | <code>Uint32Array</code> | <code>Float32Array</code> | <code>Float64Array</code>"}],title:"utils/maths"};function vc(zn){return nc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xc extends uc{constructor(_){super(),fc(this,_,vc,mc,ic,{})}}export{xc as component};
